/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... all modules.
* FILENAME...... datasz.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   LAST MODIFIED: 06/19/2000
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the PWR module)
*       Reserved ROM Area for API Data 
*
*
\******************************************************************************/
#include <csl_chipdat.h>
#include <csl_datdat.h>
#include <csl_dmadat.h>
#include <csl_ebusdat.h>
#include <csl_gpiodat.h>
#include <csl_hpidat.h>
#include <csl_irqdat.h>
#include <csl_mcbspdat.h>
#include <csl_pwrdat.h>
#include <csl_timerdat.h>
#include <csl_errdat.h>
#include <csl_wdtimdat.h>
#include <csl_plldat.h>
#include <csl_uartdat.h>



