/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... HPI
* FILENAME...... csl_hpidata.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   LAST MODIFIED: 06/19/2000
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the HPI module)
*       Reserved ROM Area for HPI Data 
*
*
\******************************************************************************/
#ifndef _CSL_HPI_DATA_H_
#define _CSL_HPI_DATA_H_ 

#include <csl_stdinc.h>

#define CSL_HPIDATAINIT\
{  0x0000 /* Reserved */}

typedef struct {
  Uint16 HpiReserved;
} CSL_HpiDataObj;

#endif
