/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... MCBSP
* FILENAME...... csl_mcbspdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/19/2000 made #ifdefs consistent with file name
*   LAST MODIFIED: 05/31/2001 Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (MCBSP Module Initialization Data)
*
*
\******************************************************************************/
#ifndef _CSL_MCBSP_DATAA_H_
#define _CSL_MCBSP_DATAA_H_

#define CSL_MCBSPDATAINIT\
{\
  /* MCBSP Port 0 Initialization */\
  0x0000,  /* Port Number */\
  0x0021,  /* DRR1 Address */\
  0x0020,  /* DRR2 Address */\
  0x0023,  /* DXR1 Address */\
  0x0022,  /* DXR2 Address */\
  0x0038,  /* SPSA Address */\
  0x0039,  /* SPSD Address */\
  0x0015,  /* XMT EventId */\
  0x0014,  /* RCV EventId */\
 /* MCBSP Port 1 Initialization */\
  0x0001,  /* Port Number */\
  0x0041,  /* DRR1 Address */\
  0x0040,  /* DRR2 Address */\
  0x0043,  /* DXR1 Address */\
  0x0042,  /* DXR2 Address */\
  0x0048,  /* SPSA Address */\
  0x0049,  /* SPSD Address */\
  0x001B,  /* XMT EvetnId */\
  0x001A  /* RCV EventId */\
}

#endif

