//=============================================================================
//  Filename:	 aubias_t.c
//  Version:	 1.00
//  Description: test for real auto-correlation (unbiased)
//--------------------------------------------------------------------------
//  Revision History:	 
//    1.00, K. Baldwin, 08/31/97 - original release
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"


short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)
DATA elevel;		       // error level detected
DATA emax=0;
DATA r[NLAGS];


main()
{

//clear
for (i=0;i<NLAGS;i++) r[i] =0;

// compute
//acorr_unbias(x,r,NX,NLAGS);
acorr(x,r,NX,NLAGS,unbias);

// test  
eflag=test(r, rtest, NLAGS, MAXERROR);

return;
}
