//=============================================================================
//  Filename:	 cbias_t.c
//  Version:     0.001				       
//  Description: test for real cross-correlation (bias)
//--------------------------------------------------------------------------
//  Revision History:	 
//    0.001, R. Piedra, 06/1/97, R. Piedra - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

#define NR    NA + NB - 1

short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)
DATA r[NR];
FILE *fp;


main()
{

//clear
for (i=0;i<NR;i++) r[i] =0;

// compute  
//corr_raw(a,b,r,NA,NB);
corr(b,a,r,NA,NB,bias);

// test  

eflag = test(r, rtest, NR, MAXERROR);

return;
}
