//*****************************************************************************
//  Filename:	 dlms_t.c
//  Version:	 0.01
//  Description: test for dlms routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 06/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

short i;
short eflagr= PASS;
short eflagh= PASS;

main()
{
// clear
for (i=0;i<NH;i++) h[i] =0;	// clear coeff buffer (optional)
for (i=0;i<NX;i++) r[i] =0;	// clear output buffer (optional)
for (i=0; i<NH; i++) dbuffer[i] = 0; // clear delay buffer (a must)

// compute
dlms(x,h,r,&dp,des,STEP, NH, NX);

// test
eflagr = test(r, rtest, NX, MAXERROR);	// for r
eflagh = test(h, htest, NH, MAXERROR);	// for h

return;
}
