//*****************************************************************************
//  Filename:	 hilb16_t.c
//  Version:	 0.01
//  Description: test for hilbert routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, A. Aboagye, 10/05/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
DATA elevel = 0;		 // error level at failing eflag index location
DATA emax = 0;			 // max error level detected across when NOERROR

main()
{

// clear
for (i=0;i<NX;i++) db[i] =0;	// clear delay buffer - a must
for (i=0;i<NX;i++) r[i] =0;	// clear output buffer (optional)

// compute
hilb16(x, h, r, db, NH, NX);

// test  
eflag = test(r, rtest, NX, MAXERROR);

return;
}
