//=============================================================================
//  Filename:	 ldiv16_t.c
//  Version:     0.001				       
//  Description: test 32 bit by 16 bit divide (Q31/Q15 format assumed)
//--------------------------------------------------------------------------
//  Revision History:	 
//    0.001, R. Piedra, 06/1/97, R. Piedra - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

#define NR    NX

short i;
short eflag=-1; 	       // error flag (-1: no error; else error)
float elevel;		       // error level detected
DATA emax=0;

LDATA rem;
DATA exponent;
DATA explevel;

float max_percent_error = 0.0;
float percent_error;
float rfloat[NR];
short max_exp;

FILE *fp;
LDATA value;
LDATA locy;

main()
{ 
for(i=0; i <= NR - 1; i++)
   {
   r[i] = 0;
   rexp[i] = 0;
   }

max_exp=ldiv16(x,y,r, rexp, NX);

// test 

 q15tofl(r, rfloat, NR);


 for (i = 0; i <= NR-1; i++) {
    rfloat[i] = rfloat[i] * (float) rexp[i];
    if ((elevel = abs(rtest-rfloat)) > MAXERROR) {
      eflag = i;
      break;
    }
  } 

}
