/*************************************************************************/
/*    This is the Linker Command File for the TMS320C541 		 */
/*************************************************************************/

-c		    
-l rts.lib
-stack 0x100
-heap 0x200

MEMORY
{
 PAGE 0: 
	INT_PM_DRAM:	origin = 0080h, length = 1380h
	EXT_PM_RAM:	origin = 1400h, length = 0ec00h
		
 PAGE 1: 
	INT_DM_SCRATCH_PAD_DRAM: origin = 060h, length = 20h
	INT_DM_1:    origin = 0080h, length = 37fh
	INT_DM_2:    origin = 0400h, length = 800h
	EXT_DM_RAM:	origin = 1400h, length = 0ec00h
				
}

SECTIONS
{
	.text	:    {} > EXT_PM_RAM   PAGE 0
    	.cinit	:    {} > INT_PM_DRAM  	PAGE 0
	.switch	:    {} > INT_PM_DRAM 	PAGE 0
	.stack	:    {} > INT_DM_1   PAGE 1
	.bss	:    {} > EXT_DM_RAM PAGE 1
	.const	:    {} > INT_DM_1   PAGE 1
	.sysmem :    {} > EXT_DM_RAM PAGE 1
	.cio	:    {} > EXT_DM_RAM PAGE 1
	.dout	:    {} > INT_DM_2   PAGE 1


}
