/* Test for rfft: both */
#define NX 32
#define FNAME "t11"
#define MAXERROR 10

#pragma DATA_SECTION (x,".input")

DATA x[NX] ={
1023,	/* 0 */ 
933,	/* 1 */ 
687,	/* 2 */ 
347,	/* 3 */ 
0,	/* 4 */ 
-276,	/* 5 */ 
-427,	/* 6 */ 
-439,	/* 7 */ 
-342,	/* 8 */ 
-193,	/* 9 */ 
-57,	/* 10 */ 
14,	/* 11 */ 
0,	/* 12 */ 
-87,	/* 13 */ 
-205,	/* 14 */ 
-304,	/* 15 */ 
-342,	/* 16 */ 
-304,	/* 17 */ 
-205,	/* 18 */ 
-87,	/* 19 */ 
-1,	/* 20 */ 
14,	/* 21 */ 
-57,	/* 22 */ 
-193,	/* 23 */ 
-342,	/* 24 */ 
-439,	/* 25 */ 
-427,	/* 26 */ 
-276,	/* 27 */ 
-1,	/* 28 */ 
347,	/* 29 */ 
687,	/* 30 */ 
933,	/* 31 */ 
};

#pragma DATA_SECTION (rtest,".test")

/* format: y(0)Re,y(N/2)Re,y(1)Re,y(1)Im,y(2)Re,y(2)Im,..y(N/2-1)Re,y(N/2-1)Im */

DATA rtest[NX] ={
-1,	0,	 /* 0Re, (N/2)Re {Nyquitst} */ 
170,	0,	 /* 1 */ 
170,	0,	 /* 2 */ 
170,	0,	 /* 3 */ 
0,	0,	 /* 4 */ 
0,	0,	 /* 5 */ 
0,	0,	 /* 6 */ 
-1,	-1,	 /* 7 */ 
0,	0,	 /* 8 */ 
0,	0,	 /* 9 */ 
0,	0,	 /* 10 */ 
0,	0,	 /* 11 */ 
0,	-1,	 /* 12 */ 
0,	0,	 /* 13 */ 
0,	0,	 /* 14 */ 
0,	0,	 /* 15 */ 
};

DATA error;

