/* Test for rfft: both */
#define NX 64
#define FNAME "t12"
#define MAXERROR 10

#pragma DATA_SECTION (x,".input")

DATA x[NX] ={
511,	/* 0 */ 
500,	/* 1 */ 
466,	/* 2 */ 
413,	/* 3 */ 
343,	/* 4 */ 
262,	/* 5 */ 
173,	/* 6 */ 
84,	/* 7 */ 
0,	/* 8 */ 
-76,	/* 9 */ 
-138,	/* 10 */ 
-185,	/* 11 */ 
-214,	/* 12 */ 
-225,	/* 13 */ 
-220,	/* 14 */ 
-201,	/* 15 */ 
-171,	/* 16 */ 
-135,	/* 17 */ 
-97,	/* 18 */ 
-60,	/* 19 */ 
-29,	/* 20 */ 
-6,	/* 21 */ 
7,	/* 22 */ 
8,	/* 23 */ 
0,	/* 24 */ 
-19,	/* 25 */ 
-44,	/* 26 */ 
-73,	/* 27 */ 
-103,	/* 28 */ 
-130,	/* 29 */ 
-152,	/* 30 */ 
-166,	/* 31 */ 
-171,	/* 32 */ 
-166,	/* 33 */ 
-152,	/* 34 */ 
-130,	/* 35 */ 
-103,	/* 36 */ 
-73,	/* 37 */ 
-44,	/* 38 */ 
-19,	/* 39 */ 
-1,	/* 40 */ 
8,	/* 41 */ 
7,	/* 42 */ 
-6,	/* 43 */ 
-29,	/* 44 */ 
-60,	/* 45 */ 
-97,	/* 46 */ 
-135,	/* 47 */ 
-171,	/* 48 */ 
-201,	/* 49 */ 
-220,	/* 50 */ 
-225,	/* 51 */ 
-214,	/* 52 */ 
-185,	/* 53 */ 
-138,	/* 54 */ 
-76,	/* 55 */ 
-1,	/* 56 */ 
84,	/* 57 */ 
173,	/* 58 */ 
262,	/* 59 */ 
343,	/* 60 */ 
413,	/* 61 */ 
466,	/* 62 */ 
500,	/* 63 */ 
};

#pragma DATA_SECTION (rtest,".test")

/* format: y(0)Re,y(N/2)Re,y(1)Re,y(1)Im,y(2)Re,y(2)Im,..y(N/2-1)Re,y(N/2-1)Im */

DATA rtest[NX] ={
-1,	-1,	 /* 0Re, (N/2)Re {Nyquitst} */ 
85,	0,	 /* 1 */ 
85,	0,	 /* 2 */ 
85,	0,	 /* 3 */ 
0,	-1,	 /* 4 */ 
0,	0,	 /* 5 */ 
0,	0,	 /* 6 */ 
0,	-1,	 /* 7 */ 
-1,	0,	 /* 8 */ 
-1,	0,	 /* 9 */ 
0,	0,	 /* 10 */ 
0,	0,	 /* 11 */ 
0,	-1,	 /* 12 */ 
0,	0,	 /* 13 */ 
0,	0,	 /* 14 */ 
0,	0,	 /* 15 */ 
0,	-1,	 /* 16 */ 
0,	-1,	 /* 17 */ 
0,	0,	 /* 18 */ 
-1,	0,	 /* 19 */ 
-1,	-1,	 /* 20 */ 
-1,	0,	 /* 21 */ 
0,	0,	 /* 22 */ 
0,	-1,	 /* 23 */ 
0,	-1,	 /* 24 */ 
-1,	0,	 /* 25 */ 
0,	-1,	 /* 26 */ 
0,	-1,	 /* 27 */ 
0,	-1,	 /* 28 */ 
-1,	-1,	 /* 29 */ 
-1,	0,	 /* 30 */ 
0,	0,	 /* 31 */ 
};

DATA error;

