/**************************************************************************
* $RCSFile: /db/sds/syseng/rtdx/target/usrlib/470/rtdx_access.h,v $
* $Revision: 1.6 $
* $Date: 2000/07/24 16:03:48 $
* Copyright (c) 2000 Texas Instruments Incorporated
*
* Large Model/FAR mode support
**************************************************************************/
#ifndef __RTDX_ASCCESS_H
#define __RTDX_ASCCESS_H

#ifndef _TMS320C5XX
#error "Wrong Target - This code for C54x only!"
#endif


#if defined(_FAR_MODE)
#define RTDX_FAR_MODE           1
#define RTDX_USE_CODE_SECTION	1
#define RTDX_USE_DATA_SECTION	1

/* Temporary hack - cl500 doesn't understand "far" keyword	*/
//#define RTDX_CODE	far
//#define RTDX_DATA	far
#define RTDX_CODE	
#define RTDX_DATA	

#elif defined(_C_MODE)
#define RTDX_FAR_MODE           0
#define RTDX_USE_CODE_SECTION	0
#define RTDX_USE_DATA_SECTION	0
#define RTDX_CODE
#define RTDX_DATA
#else
#error "Cannot determine Near/Far mode"
#endif


#endif /* __RTDX_ASCCESS_H */
