/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... TIMER
* FILENAME...... csl_wdtimdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/19/2000
*   LAST MODIFIED: (IM) 12/27/2000 modified for Amadeus
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the PWR module)
*       Reserved ROM Area for TIMER Data 
*
*
\******************************************************************************/
#ifndef _CSL_WDTIM_DATA_H_
#define _CSL_WDTIM_DATA_H_

#include <csl_std.h>

#define CSL_WDTIMDATAINIT\
 { 0x0000u  }  /* WDTIM reserved */

typedef struct {
  Uint16 WDTIM_reserved;
}CSL_WdtimDataObj;
#endif
