/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== dov.h ========
 *  Stacking "OVerlap" Device
 *
 */

#ifndef DOV_
#define DOV_

#include <dev.h>
#include <fxn.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct DOV_Config {
    Char	INITIAL;
} DOV_Config;

extern DOV_Config *DOV;

#define DOV_init	((Fxn)FXN_F_nop)

extern DEV_Fxns DOV_FXNS;

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* DOV_ */
