/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== fxn.h ========
 *
 */


#ifndef FXN_
#define FXN_

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  ======== FXN_Obj ========
 */

typedef struct FXN_Obj {
    Fxn	fxn;
    Arg arg1;
    Arg arg0;
#if defined(_54_) 
    Bool cfxn;		/* extra glue is needed for 54x C functions */
#endif
} FXN_Obj;

typedef struct FXN_Obj *FXN_Handle;

extern Void FXN_F_nop();

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* FXN_ */
