//=============================================================================
//  Filename:	 cbias_t.c
//  Version:     0.001				       
//  Description: test for real cross-correlation (bias)
//--------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

#define NR    NA + NB - 1

short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)
DATA r[NR];


void main()
{
    //clear
    for (i=0;i<NR;i++) r[i] =0;

    // compute  
    corr(b,a,r,NA,NB,bias);

    // test  
    eflag = test(r, rtest, NR, MAXERROR);

    return;
}
