//*****************************************************************************
//  Filename:	 iir51_t.c
//  Version:	 0.01
//  Description: test for iircas51 routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

short i;
short eflag = PASS;		// error flag or index into r vector where error


void main()
{
    // clear
    for (i=0;i<NX;i++) r[i] =0;	                     // clear output buffer (optional)
    for (i=0; i<5*NBIQ; i++) dbuffer[i] = 0;         // clear delay buffer (a must)

    // compute
    iircas51(x, h, r, dp, NBIQ, NX);

    // test  
    eflag = test (r, rtest, NX, MAXERROR);

    return;
}
