//*****************************************************************************
//  Filename:	 mmul_t.c
//  Version:	 0.01
//  Description: test for mmul routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

short i;
short eflag= PASS;


void main()
{
    // clear
    for (i=0;i<row1*col2;i++) r[i] =0;             // clear output buffer (optional)

    // compute
    mmul(x1, row1, col1, x2, row2, col2, r);

    // test
    eflag = test(r, rtest, row1*col2, MAXERROR);

    return;
}
