;=========================================================
; blink_.asm: v02.00.00
;=========================================================
	.global _blink
	.global _test_mem

dataPtr	.bss data,1024 ,1

;=========================================================
; Default handler
;=========================================================
	.text

_test_mem:

; Write incrementing pattern to 4K word block in SBSRAM
        xar3 = #0x90000

	ac1 = #0x1000

	ac0 = #0

l1:

	ac0 &= #0xffff

	dbl(*ar3) = ac0

	ac0 += #1

	ar3 += #2

	ac1 -= #2

	if (ac1 != #0) goto l1


_read

	xar3 = #0x90000

	ac1 = #0

	ac0 = #0

l2:

	ac0 = dbl(*ar3)

	ar3 = ar3 + #2
	
	ac0 = ac0 - ac1 

	if (ac0 == #0) goto l3

	goto _blink


l3:

	ac1 += #2

	goto l2

    return


_blink

	xar3 = #600000h

loop1:

	*ar3 = *ar3 | #0007h

	call _delay

	*ar3 = *ar3 & #00f8h

	call _delay

	goto loop1


_delay

	ac1 = #150

loop2:

	repeat(#0xffff)

	nop

	ac1 -= #1

	if (ac1 != #0) goto loop2
	
	return

