/****************************************************************/
/* TLV320AIC22 driver version 1.0 for C5400                     */
/* $Revision: 3 $                      $JustDate: 21.09.00 $ */
/****************************************************************/

#undef _INLINE
#include "dc_conf.h"
#include "taic22_fn.h" 
                    
/****************************************************************/
/* define and initialize data converter objects                 */
/****************************************************************/
&&DEFINE_OBJECT&&
 
/****************************************************************/
/* DSP FUNCTIONS                                                */
/****************************************************************/
/****************************************************************/
/* data converter API functions for AIC22                       */
/****************************************************************/

/****************************************************************/
/*	configuration function.                                   */
/*	sets up MCBSP, if required.                               */
/*	writes all configuration data to all AICs in chain        */
/****************************************************************/
TTIDCSTATUS aic22_configure(void *pDC)
{                   
	return TIDC_NO_ERR;
}

/****************************************************************/
/*	set power mode for all AICs in chain                      */
/*	bDown = 0:	power up                                      */
/*	bDown = 1;	power down                                    */
/****************************************************************/
void aic22_power(void *pDC, int bDown)
{
}          

/****************************************************************/
/*	read one word from AIC chain                              */
/****************************************************************/
long aic22_read(void *pDC)
{          
	return 0L;
}      
                                   
/****************************************************************/
/*	write one word to AIC chain                               */                                  
/****************************************************************/
void aic22_write(void *pDC, long lData)
{          
}      
                                  
/****************************************************************/
/*	transfer block of data from AIC chain to memory           */
/*	uiAddress:	start address in data space                   */
/*	ulCount  :	length of block                               */
/*	callback :	function pointer. will be called upon completion of block transfer */
/****************************************************************/
void aic22_rblock(void *pDC, void *pData, unsigned long ulCount, void (*callback) (void *))
{ 
}

/****************************************************************/
/*	transfer block of data from memory to AIC chain           */
/*	uiAddress:	start address in data space                   */
/*	ulCount  :	length of block                               */
/*	callback :	function pointer. will be called upon completion of block transfer */
/****************************************************************/
void aic22_wblock(void *pDC, void *pData, unsigned long ulCount, void (*callback) (void *))
{ 
}

