/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... ICACHE
* FILENAME...... csl_icachdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... MCRTE - multichannel runtime environment
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   
*    	CREATED:       03/30/2000
*     LAST MODIFIED: 04/12/2001 Changed FILENAME comment to match filename
*
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the ICACHE module)
*       Reserved Area for ICACHE Data 
*
*
\******************************************************************************/
#ifndef _ICACHE_DATA_H_
#define _ICACHE_DATA_H_
 #define CSL_ICACHEDATAINIT\
  { 0x0000u }

  

  typedef struct {
    Uint16 reserved;
  } CSL_IcacheDataObj;

#endif
