/*****************************************************************************/
/*  C55X.H v2.04                                                            */
/*  Copyright (c) 2000-2001 Texas Instruments Incorporated                   */
/*****************************************************************************/

#ifndef _C55X
#define _C55X

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

int        _abss   (int);
int        _addc   (int, int);
long       _addc32 (long, long);
long       _labss  (long);
long long  _llabss (long long);
long       _laddc  (long, int);
int        _lnorm  (long);
long       _lsat   (long long);
long       _lsadd  (long, long);
long long  _llsadd (long long, long long);
long       _a_lsadd(long, long);
long long  _a_llsadd (long long, long long);
long       _lshrs  (long, int);
long       _lsmpy  (int, int);
long       _lsneg  (long);
long long  _llsneg (long long);
long       _lsshl  (long, int);
long       _lssub  (long, long);
long long  _llssub (long long, long long);
long       _lsubc  (long, int);
int        _norm   (int);
long       _rnd    (long);
int        _sadd   (int, int);
int        _a_sadd (int, int);
int        _shrs   (int, int);
long       _smac   (long, int, int);
long       _a_smac (long, int, int);
long       _smacr  (long, int, int);
long       _a_smacr(long, int, int);
long       _smas   (long, int, int);
long       _a_smas (long, int, int);
long       _smasr  (long, int, int);
long       _a_smasr(long, int, int);
int        _smpy   (int, int);
long       _smpyr  (int, int);
int        _sneg   (int);
int        _sshl   (int, int);
int        _ssub   (int, int);
int        _subc   (int, int);
long       _subc32 (long, long);

void       _enable_interrupts(void);
void       _disable_interrupts(void);

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* !_C55X */
