/**************************************************************************
* $RCSFile: /db/sds/syseng/rtdx/target/usrlib/c55xx/rtdx_access.h,v $
* $Revision: 1.8 $
* $Date: 2001/01/11 15:14:28 $
* Copyright (c) 2000 Texas Instruments Incorporated
*
* Large Model/FAR mode support
**************************************************************************/
#ifndef __RTDX_ACCESS_H
#define __RTDX_ACCESS_H

#ifndef __TMS320C55X__
#error "Wrong Target - This code for C55x only!"
#endif

#ifndef __LARGE_MODEL__
#define RTDX_FAR_MODE           1
#define RTDX_USE_CODE_SECTION	0
#define RTDX_USE_DATA_SECTION	0
#else
#define RTDX_FAR_MODE           0
#define RTDX_USE_CODE_SECTION	0
#define RTDX_USE_DATA_SECTION	0
#endif

/* C55x does not use the "far" keyword	*/
#define RTDX_CODE
#define RTDX_DATA

#endif /* __RTDX_ACCESS_H */
