#include "slick.sh"
#define SNIFF_MENU_POSITION 6
#define FILE_MENU_POSITION 2
#define SNIFF_SAVE_POSTION 5

             
defmain()
{
	
   int existing_menu_handle =0;
 
   
   parse arg(1) with filename position;
 
   
   existing_menu_handle=_mdi.p_menu_handle;
   _menu_insert(existing_menu_handle,SNIFF_MENU_POSITION,MF_ENABLED|MF_SUBMENU,"&SNiFF+","","","","SNiFF+ Menu, open SNiFF+ Tools");
   _menu_get_state (existing_menu_handle, SNIFF_MENU_POSITION,mf_flags,'p',caption,sniff_menu_handle);
   
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"&Browse Class","SniffBrowseClass","", "", "Browses the selected class with the SNiFF+ Class browser"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Show the class in &entire hierarchy","SniffBrowseEntire","", "", "Views the selected class in the hierarchy browser"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Show the class in &relative hierarchy","SniffBrowseRelative","", "", "Views the selected class in the hierarchy browser"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Refers To","SniffRefersTo","", "", "Refers to a symbol"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Referred By","SniffReferredBy","", "", "Referred by a symbol"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Refers To Components","SniffRefersToComponent","", "", "Refers to a component"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Referred by as Component","SniffReferredByComponent","", "", "Refers by a component"  );
//   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Go to Symbol","SniffGotoSymbol","", "", "Goes to the selected symbol"  );
//   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Toggle declaration/implementation","SniffGotoSymbol","", "", "Goes to the selected symbol"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"File includes","SniffIncludes","", "", "file includes"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"File is included by","SniffIncludedBy","", "", "file is included by"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');

//   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Edit the superclass","SniffEditSuperClass","", "", "Edit the superclas"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Reparse the file","SniffReparse","", "", "Reparse the file"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');

// _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Edit &file in Source Editor","SniffEditFile","", "", "Edits the current file in the SNiFF+ Source editor"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Re&trieve from all", "SniffRetrieve","", "", "Retrieves the selected text in the SNiFF+ retriever"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');

   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Check &in","SniffCheckIn","", "", "Checks the current file in"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Check &out","SniffCheckOut","", "", "Checks the current file out"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,'-');
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Build Target","SniffBuildDefaultTarget","", "", "Build the default target for the current sniff project"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Make File","SniffMakeFile","", "", "Make current file"  );
/*   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Make Clean","SniffMakeClean","", "", "Make Clean"  );
   _menu_insert(sniff_menu_handle,-1,MF_ENABLED,"Make Recursively","SniffMakeRecursively","", "", "Make Recursively"  );*/
                                                                                                                                                         

   _menu_insert(FILE_MENU_POSITION, SNIFF_SAVE_POSTION ,MF_ENABLED,"Save in &SNiFF+","SniffSave","","","Save the file and update information in SNiFF+");
   
   _menu_bind ( FILE_MENU_POSITION,SNIFF_SAVE_POSTION,"save","Ctrl+S","C");
   _menu_bind ( FILE_MENU_POSITION,SNIFF_SAVE_POSTION+1,"SniffSave","Ctrl+S","B");
   menu_mdi_bind_all();
   load(get_env("VSLICKINCLUDE") :+"sniffcommands");


   if (filename != "")
   {
      command_put ("edit " :+ filename);
      command_execute ();
      if (position!="") 
      {
         command_put ("Sniff_To_Slick_gotoPosition " :+position);
         command_execute ();
      }
   }
    
 //  messageNwait ("edited " :+filename);
   _mdi.refresh('A');
   _mdi.refresh('W');
   _mdi.p_menu_handle.refresh('A');
   _mdi.p_menu_handle.refresh('W');
   
 //  show(_mdi.p_menu_handle);
   //stop();
}


