from Register import RegisterKeys
import sys

torModuleList = [ "InitTornado",
					"InitTornadoReload",
					"searchPathLib",
					"torConstants",
					"torDataServices",
					"torTgtSvrDialogs",
					"torTgtSvrServices",
					"torLaunchServices",
					"torWinRegistryInterface",
					"torBaseServices",
					"torMessageBox",
					"torLaunchSim",
					"torDownloadTgt",
					"torLaunchBrowser",
					"torLaunchTornado",
					"torLaunchWindSh",
					"torLaunchWindView",
					"torWtxTclTool",
					"torLaunchCrossWind",
					"torVersionDialog"
				]

def TornadoReload():
	for curr_module_name in torModuleList:
		tor_module=__import__(curr_module_name)
		reload(tor_module)
		print '@B@b%s has been reloaded@x@B' % tor_module
	print "@B@bcreating new instances of reloaded classes ....@x@B"
	import torBaseServices
	torBaseServices.defaultTorPrefsFileHandler = None
	torBaseServices.defaultTorTgtSvrHandler = None
	import torWtxTclTool
	torWtxTclTool.defaultWtxTclTool = None
	import torWinRegistryInterface
	torWinRegistryInterface.defaultWinRegistryInterface = None

def TornadoKeyMap(kh):
	kh.BindKey("C-t t", TornadoReload)
	kh.BindKey("C-t C-t", TornadoReload)
RegisterKeys(TornadoKeyMap, "")

