#
# NOTE 1:
#
#      The case of the environment variables must match the
#      actual case of the directory it points to.
#
#      For, example even though Windows considers C:\ISICPU
#      and c:\isicpu to be equal, some of the pRISM+ tools
#      do not. So if you edit this file or alter the
#      directories pointed to by the environment variables,
#      you must make sure that the case matches between the
#      two. So, if the actual case of the PSS_ROOT directory
#      on the drive is C:\ISICPU\psscpu.xxx, the PSS_ROOT
#      environment variable in this file must be set using
#      exactly the same case.
#
# NOTE 2:
#
#      Any DOS style environment variable need to be
#      converted to UNIX style (forward slashes instead
#      of backslashes) prior to any script manipulation.
#      Failure to do this can cause script errors because
#      the MKS shell will treat the backslash as an escape
#      character for the next character. At the end of the
#      script these variables need to be converted back to
#      DOS style using VarUnixToDos. The DOS to UNIX
#      conversion can be done using VarDosToUnix utility.

# please use pathnames always in Unix notation.

#mark all variables for export
set -a

# set DEBUG off as default
DEBUG=0

if [ $DEBUG != "0" ]
then
  echo Debugmode turned on!
  echo
  CP_DBG="v"
else
  CP_DBG=""
fi


