
# set HOME to default when it does not exist
if [ "x$HOME" = "x" ]
then
  HOME="$PRISM_INSTALL_DIR/users/$USERNAME"
fi

# set PSS_USER_SHARED to default when it does not exist
if [ "x$PSS_USER_SHARED" = "x" ]
then
  PSS_USER_SHARED="$PRISM_INSTALL_DIR/users/common"
fi

PSS_USER_RWE="$PSS_USER_SHARED/Repository"
PSS_USER_SOWE="$PSS_USER_SHARED/SharedObjectArea"
PSS_USER_SSWE="$PSS_USER_SHARED/SharedProjectArea"
PSS_USER_PWE="$HOME/psos${CPU_FAMILY}_pwe"

PSS_WE_NAME_RWE="RWE:pSOSystem-Repository"
PSS_WE_NAME_SOWE="SOWE:pSOSystem-${CPU_FAMILY}-Objs"
PSS_WE_NAME_SSWE="SSWE:pSOSystem-${CPU_FAMILY}"
PSS_WE_NAME_USER_SSWE="SSWE:pSOSystem-${CPU_FAMILY}-User"
PSS_WE_NAME_PWE="adm PWE:${CPU_FAMILY}-Private"

# SNiFF+ location of usersettings
# This variable is unused here
#SNiFF_RESOURCE_DIR="$HOME/sniffrc"
#-------------------------------- end of user's section ----------------------

# Convert the PATH to use forward-slashes to avoid variable expansion problems
PATH=`"$PRISM_INSTALL_DIR/prism+/bin/VarDosToUnix.exe" PATH`

PRISM_DIR="$PRISM_INSTALL_DIR/pRISM+"
TCL_LIBRARY="$PRISM_INSTALL_DIR/pRISM+/lib/PrismPlusShell/library"
LOGNAME="$USERNAME"

PATH="$PRISM_INSTALL_DIR/licenses/bin/$HOST;$PRISM_DIR/bin;$PRISM_INSTALL_DIR/JRE/1.1.7/bin;$PATH"


