SHELL="$ROOTDIR/mksnt/sh.exe"
PATHEXT='.exe;.com;.bat;.cmd;.ksh;;.pl;.sh'
PATH="$ROOTDIR/mksnt;$PATH"

# Set temporary directory
# Windows compatibility
SYS=`uname`
case "$SYS" in
    DOS|*NT|Windows*)
        DEVNULL=nul
        if [ X$TMP != "X" ]
        then
            TMP_DIR=`VarDosToUnix TMP`
        elif [ X$TEMP != "X" ]
        then
            TMP_DIR=`VarDosToUnix TEMP`
        else
            TMP_DIR="."
        fi
        mkdir -p $TMP_DIR
        ;;
    *)
        DEVNULL=/dev/null
        TMP_DIR=/tmp
        ;;
esac

# set directory for temporary files as default
TMP=$TMP_DIR
TMPDIR=$TMP_DIR

#SNIFF_MAKE_CMD="snf_gnu"
ENV="$SNIFF_DIR/config/environ_pRISM_for_SNiFF$SNIFF_VERSION.ksh"
# pSOSystem
PATH="$PSS_ROOT/bin/$HOST;$PSS_ROOT/bin/source/plugins/scripts;$PSS_ROOT/bin;$PATH"

# generate the directories for the USERs defined
# working environments
if [ ! -d $PSS_USER_SHARED ]
then
  mkdir -p $PSS_USER_RWE $PSS_USER_SSWE $PSS_USER_SOWE
fi

#  echo Copy the demo application for user project
if [ ! -d $PSS_USER_SSWE/user_pdemo ]
then
  if [ ! -d $PSS_USER_SSWE/user_pdemo/pss_main ]
  then
    cp -rf$CP_DBG $PSS_ROOT/contrib/user_pdemo $PSS_USER_SSWE
  fi
fi

# generate the directoriy for this user's
# private working environment
if [ ! -d $PSS_USER_PWE ]
then
  mkdir -p $PSS_USER_PWE
fi

# Upgrade Preferences for SNiFF+
# Do the User Profiles reside in $SNIFF_DIR/Profiles?
plugins_upgrade_userprefs

# ORBIX daemon
IT_CONFIG_PATH="$PRISM_INSTALL_DIR/orbix22"
PATH="$PRISM_INSTALL_DIR/orbix22;$PATH"

