
# Perform any customizations in your $HOME/userenv.ksh
# PSS_ROOT changes involves a PATH variable update too.
if [ -f "$HOME/userenv.ksh" ]
then
    . "$HOME/userenv.ksh"
fi

# Convert all DOS environment variables to use back-slashes
PATH=".;`'VarUnixToDos' PATH`"
PRISM_DIR=`VarUnixToDos PRISM_DIR`
HOME=`VarUnixToDos HOME`
PSS_ROOT=`VarUnixToDos PSS_ROOT`
PSS_BSP=`VarUnixToDos PSS_BSP`
SNIFF_DIR=`VarUnixToDos SNIFF_DIR`
ENV=`VarUnixToDos ENV`
PSS_USER_PWE=`VarUnixToDos PSS_USER_PWE`
PSS_USER_SSWE=`VarUnixToDos PSS_USER_SSWE`
PSS_USER_SOWE=`VarUnixToDos PSS_USER_SOWE`
PSS_USER_RWE=`VarUnixToDos PSS_USER_RWE`
IT_CONFIG_PATH=`VarUnixToDos IT_CONFIG_PATH`
PRISM_INSTALL_DIR=`'VarUnixToDos' PRISM_INSTALL_DIR`
LM_LICENSE_FILE=`'VarUnixToDos' LM_LICENSE_FILE`
