/* @(#) pSOSim release 2.5: include/open_rename.h (&U&) 4.1 99/09/14 09:43:08 */
/***********************************************************************/
/*                                                                     */
/*   MODULE:  open_rename.h                                            */
/*   DATE:    99/09/14                                                 */
/*   PURPOSE: redefines all native calls to pSOS component calls.      */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*                                                                     */
/*           Copyright 1991 - 1999, Integrated Systems, Inc.           */
/*                      ALL RIGHTS RESERVED                            */
/*                                                                     */
/*   Permission is hereby granted to licensees of Integrated Systems,  */
/*   Inc. products to use or abstract this computer program for the    */
/*   sole purpose of implementing a product based on Integrated        */
/*   Systems, Inc. products.   No other rights to reproduce, use,      */
/*   or disseminate this computer program, whether in part or in       */
/*   whole, are granted.                                               */
/*                                                                     */
/*   Integrated Systems, Inc. makes no representation or warranties    */
/*   with respect to the performance of this computer program, and     */
/*   specifically disclaims any responsibility for any damages,        */
/*   special or consequential, connected with the use of this program. */
/*                                                                     */
/*---------------------------------------------------------------------*/
/* NOTE: This file is for pSOSim users only.                           */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

/*---------------------------------------------------------------------*/
/* Don't allow this file to be included more than once.                */
/*---------------------------------------------------------------------*/
#ifndef _OPEN_RENAME_H
#define _OPEN_RENAME_H

#ifdef __cplusplus
extern "C" {
#endif
/*---------------------------------------------------------------------*/
/* pSE+ utility calls                                                  */
/*---------------------------------------------------------------------*/
#define adjmsg				_sim_adjmsg
#define allocb				_sim_allocb
#define backq				_sim_backq
#define bufcall				_sim_bufcall
#define bcanput				_sim_bcanput
#define bcanputnext			_sim_bcanputnext
#define canput				_sim_canput
#define canputnext			_sim_canputnext
#define cmn_err				_sim_cmn_err
#define copyb				_sim_copyb
#define copymsg				_sim_copymsg
#define delay				_sim_delay
#define dupb				_sim_dupb
#define dupmsg				_sim_dupmsg
#define drv_priv			_sim_drv_priv
#define enableok			_sim_enableok
#define esballoc			_sim_esballoc
#define esbbcall			_sim_esbbcall
#define flushq				_sim_flushq
#define flushband			_sim_flushband
#define freeb				_sim_freeb
#define freemsg				_sim_freemsg
#define freezestr 			_sim_freezestr 
#define getadmin			_sim_getadmin
#define getq				_sim_getq
#define getmid				_sim_getmid
#define getuiden			_sim_getuiden
#define insq				_sim_insq
#define linkb				_sim_linkb
#define msgdsize			_sim_msgdsize
#define noenable			_sim_noenable
#define LOCKING_STYLE		_sim_LOCKING_STYLE
#define LOCK_NOWAIT_Stream	_sim_LOCK_NOWAIT_Stream
#define LOCK_Stream			_sim_LOCK_Stream
#define UNLOCK_Stream		_sim_UNLOCK_Stream
#define pullupmsg			_sim_pullupmsg
#define putbq				_sim_putbq
#define putctl				_sim_putctl
#define putctl1				_sim_putctl1
#define putnextctl			_sim_putnextctl
#define putnextctl1			_sim_putnextctl1
#define putq				_sim_putq
#define qbandsize			_sim_qbandsize
#define qenable				_sim_qenable
#define qsize				_sim_qsize
#define rmvb				_sim_rmvb
#define rmvq				_sim_rmvq
#define strlog				_sim_strlog
#define testb				_sim_testb
#define unbufcall			_sim_unbufcall
#define unfreezestr 		_sim_unfreezestr 
#define unlinkb				_sim_unlinkb
#define setband				_sim_setband
#define setuerror			_sim_setuerror
#define pse_sleep			_sim_pse_sleep
#define strqget				_sim_strqget
#define strqset				_sim_strqset
#define wakeup				_sim_wakeup
#define timeout				_sim_timeout
#define untimeout			_sim_untimeout

#ifdef __cplusplus
}
#endif

#endif /* _OPEN_RENAME_H  */
