/* @(#) pSOSim release 2.5: include/pna_rename.h (&U&) 4.1 99/03/04 15:34:00 */
/***********************************************************************/
/*                                                                     */
/*   MODULE:  pna_rename.h                                             */
/*   DATE:    99/03/04                                                 */
/*   PURPOSE: redefines all native networking calls to pNA+ calls.     */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*                                                                     */
/*           Copyright 1991 - 1999, Integrated Systems, Inc.           */
/*                      ALL RIGHTS RESERVED                            */
/*                                                                     */
/*   Permission is hereby granted to licensees of Integrated Systems,  */
/*   Inc. products to use or abstract this computer program for the    */
/*   sole purpose of implementing a product based on Integrated        */
/*   Systems, Inc. products.   No other rights to reproduce, use,      */
/*   or disseminate this computer program, whether in part or in       */
/*   whole, are granted.                                               */
/*                                                                     */
/*   Integrated Systems, Inc. makes no representation or warranties    */
/*   with respect to the performance of this computer program, and     */
/*   specifically disclaims any responsibility for any damages,        */
/*   special or consequential, connected with the use of this program. */
/*                                                                     */
/*---------------------------------------------------------------------*/
/* NOTE: This file is for pSOSim users only.                           */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

/*---------------------------------------------------------------------*/
/* Don't allow this file to be included more than once.                */
/*---------------------------------------------------------------------*/
#ifndef _PNA_RENAME_H
#define _PNA_RENAME_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------*/
/* pNA+ System Calls                                                   */
/*---------------------------------------------------------------------*/

#define accept		_sim_accept
#define add_ni		_sim_add_ni
#define bind		_sim_bind
#define connect		_sim_connect
#define getpeername	_sim_getpeername
#define getsockname	_sim_getsockname
#define getsockopt	_sim_getsockopt
#define get_id		_sim_get_id
#define listen		_sim_listen
#define recv		_sim_recv
#define recvfrom	_sim_recvfrom
#define recvmsg		_sim_recvmsg
#define select		_sim_select
#define send		_sim_send
#define sendmsg		_sim_sendmsg
#define sendto		_sim_sendto
#define setsockopt	_sim_setsockopt
#define set_id		_sim_set_id
#define shr_socket	_sim_shr_socket
#define shutdown	_sim_shutdown
#define socket		_sim_socket
#define pna_allocb	_sim_pna_allocb
#define pna_esballoc	_sim_pna_esballoc
#define pna_freeb	_sim_pna_freeb
#define pna_freemsg	_sim_pna_freemsg

#ifdef __cplusplus
}
#endif

#endif /* _PNA_RENAME_H  */
