from etgui import *
from PageLayout import *

def MakeCollView():
	"""Create the GUI elements"""
	items=[]
	for i in range(30):
		items.append(TextItem("Item %d"%i))
	return MyMultiCollView(items=items)


class MyMultiCollView(MultiCollView):
	def SelectionChanged(self):
		print "%d items are selected" % self.NSelected()
		for item in self.GetSelectedItems():
			print item.AsString()
		for i in self.GetSelectedNumbers():
			print i

def MakeView(collview):
	return Scroller(collview,Point(100,300))

gDialog=None
def Show():
	global gDialog,gModel,gCollView
	if not gDialog:
		# create the dialog once!
		gModel=PotGuiModel()
		gCollView=MakeCollView()
		gDialog=MakeOkCancelDialog(
			"My Dialog",        # the title of the dialog
			gModel,
			MakeView(gCollView),  
			ActionButton(CmdNo.cIdOk,"OK",default=1), # make OK button the default, calls Apply implicilely
			ActionButton("Apply",action=gModel.Apply),# tricky action is gModel.Apply
			ActionButton(CmdNo.cIdCancel,"Cancel")    # calls Cancel implicilely
		)
	if gDialog.ShowUnderMouse()==CmdNo.cIdOk:
		for item in gCollView.GetSelectedItems():
			print item.AsString()
		for i in gCollView.GetSelectedNumbers():
			print i

if __name__=="__main__":
	Show()


