/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... CSL - chip support library service layer interface
* FILENAME...... _csl.h
* DATE CREATED.. Mon 08/12/2001 
* PROJECT....... Chip Support Library
* COMPONENT..... HAL
* PREREQUISITS.. 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  08/12/2001 internal generic include needed for all modules
*------------------------------------------------------------------------------
* DESCRIPTION:  (HAL interface file for the CSL library)
*
*
*
\******************************************************************************/
#ifndef __CSL_H_
#define __CSL_H_

#include <csl_csldat.h>
#include <csl_err.h>
#include <csl_irq.h>
 
#endif /* __CSL_H_ */
/******************************************************************************\
* End of csl.h
\******************************************************************************/

