/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... EBUS
* FILENAME...... EBUSdata.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/19/2000
*   LAST MODIFIED: 05/31/2001 Updated for new initialization model
*------------------------------------------------------------------------------
* DESCRIPTION:  (EBUS Module Initialization Data)
*
*
\******************************************************************************/
#ifndef _CSL_EBUS_DATA_H_
#define _CSL_EBUS_DATA_H_ 

 #define CSL_EBUSDATAINIT\
  { 0x0000  /* Reserved */\
  }

 typedef struct {
   Uint16 EbusReserved;
 } CSL_EbusDataObj;

#endif
 
