/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... TIMER
* FILENAME...... csl_timerdatC.h
* DATE CREATED.. Thu 05/31/2001 
* PROJECT....... Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 08/05/2000
*   LAST MODIFIED: 05/31/2001  Updated for new initialization model
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (Timer Module Data Initialization for Single Timer - no
*                prescale mode support)
*
*
*
\******************************************************************************/
#ifndef _CSL_TIMER_DATC_H_
#define _CSL_TIMER_DATC_H_

#define CSL_TIMERDATAINIT \
{   0x0000,    /* Timer Device Number */\
    0x0013,    /* EventId */\
    0x0026,    /* Timer 0 Control Register Address */\
    0x0025,    /* Timer 0 Period Register Address */\
    0x0024     /* Timer 0 Timer Register Address */\
}

#endif
