/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... UART
* FILENAME...... csl_UARTdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... CSL  - Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:       02/13/2002
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the UART module)
*       Reserved Area for UART Data 
*
*
\******************************************************************************/
#ifndef _UART_DATA_H_
#define _UART_DATA_H_

  #include <csl_stdinc.h>

     #define CSL_UARTDATAINIT\
     { 0x0000u,\
       0x0000u,\
       0x0000u,\
       0x0000u,\
       0x0000u,\
       0x0000u,\
       0x0000u,\
    }
    typedef struct {
      Uint32 UART_isrDispatchTable[7];
    } CSL_UartDataObj;
#endif
