//*****************************************************************************
//  Filename:	 add_t.c
//  Version:	 1.00
//  Description: test for add routine with scaling option
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.00, R. Piedra, 08/31/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
DATA elevel = 0;		 // error level at failing eflag index location
DATA emax = 0;			 // max error level detected across when NOERROR

main()
{

// clear
for (i=0;i<NX;i++) r[i] =0;	// clear output buffer (optional)

// compute
add(x,y,r,NX, SCALE);

// test  
eflag = test(r, rtest, NX, MAXERROR);

return;
}
