//=============================================================================
//  Filename:	 craw_t.c
//  Version:     0.001				       
//  Description: test for real cross-correlation (raw)
//--------------------------------------------------------------------------
//  Revision History:	 
//    0.001, R. Piedra, 06/1/97, R. Piedra - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"
short i;
short eflag=-1; 	       // error flag (-1: no error; else error)
DATA elevel;		       // error level detected
DATA emax=0;
DATA r[NLAGS];
FILE *fp;


main()
{

//clear
for (i=0;i<NLAGS;i++) r[i] =0;

// compute  
//corr_raw(y,x,r,NX,NY);
corr(y,x,r,NX,NY,raw);

// test  
eflag=test(r, rtest, NLAGS, MAXERROR);

return;
}


