//=============================================================================
//  Filename:	 iir32_t.c
//  Version:     0.001				       
//  Description: test for cascaded infinite impulse response filter (raw)
//--------------------------------------------------------------------------
//  Revision History:	 
//    0.001, R. Piedra, 06/1/97, R. Piedra - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "t5.h"

#define NR	NX

short i;

short eflag=PASS; 	       // error flag (-1: no error; else error)
DATA elevel;		       // error level detected
DATA emax=0;
DATA r[NR];

LDATA *dbptr = &db[0];



FILE *fp;


main()
{

//clear
for (i=0;i<NR;i++) r[i] =0;
for (i=0;i<NR;i++) db[i]=0;

// compute

iir32(x,h,r,&dbptr,NBIQ,NR);

// test  
 eflag = test(r, rtest, NR, MAXERROR);
return;
}
