//*****************************************************************************
//  Filename:	 iir5_t.c
//  Version:	 0.01
//  Description: test for iircas5 routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 06/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;
short eflag = PASS;		// error flag or index into r vector where error

main()
{

// clear
for (i=0;i<NX;i++) r[i] =0;	// clear output buffer (optional)
for (i=0; i<2*NBIQ; i++) dbuffer[i] = 0; // clear delay buffer (a must)

// compute
iircas5(x,h,r,&dp,NBIQ, NX);

// test  
eflag = test(r, rtest, NX, MAXERROR);

return;
}
