//*****************************************************************************
//  Filename:	 neg32_t.c
//  Version:	 0.01
//  Description: test for neg routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 07/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
LDATA elevel = 0;		 // error level at failing eflag index location
LDATA emax = 0; 		 // max error level detected across when NOERROR

main()
{

// clear
for (i=0;i<NX;i++) r[i] =0;	// clear output buffer (optional)

// compute
neg32(x,r,NX);

// test
eflag = ltest (r, rtest, NX, MAXERROR);

return;
}
