//*****************************************************************************
//  Filename:	 recip_t.c
//  Version:	 0.01
//  Description: test for reciprocal of Q15 number
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 06/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
DATA elevel = 0;		 // error level at failing eflag index location
DATA emax = 0;			 // max error level detected across when NOERROR
DATA  r[NX];
DATA  rexp[NX];
float rf1[NX];
float rf2[NX];

main()
{

// clear
for (i=0;i<NX;i++) { r[i] =0;	// clear output buffer (optional)
		     rexp[i] = 0;
}
// compute

recip16(x, r, rexp, NX);

q15tofl(r, rf1, NX);

for (i=0; i<NX; i++) {

   rf2[i] = (float)rexp[i] * rf1[i];
}


// test
eflag = ftest(rf2, rtest, NX, MAXERROR);

return;
}
