/* Test for rfft: sine */
#define NX 16
#define FNAME "t10"
#define MAXERROR 10

#pragma DATA_SECTION (x,".input")

DATA x[NX] ={
0,	/* 0 */ 
1374,	/* 1 */ 
1647,	/* 2 */ 
852,	/* 3 */ 
0,	/* 4 */ 
-114,	/* 5 */ 
282,	/* 6 */ 
409,	/* 7 */ 
0,	/* 8 */ 
-410,	/* 9 */ 
-283,	/* 10 */ 
113,	/* 11 */ 
0,	/* 12 */ 
-853,	/* 13 */ 
-1648,	/* 14 */ 
-1375,	/* 15 */ 
};

#pragma DATA_SECTION (rtest,".test")

/* format: y(0)Re,y(N/2)Re,y(1)Re,y(1)Im,y(2)Re,y(2)Im,..y(N/2-1)Re,y(N/2-1)Im */

DATA rtest[NX] ={
-1,	-1,	 /* 0Re, (N/2)Re {Nyquitst} */ 
-1,	341,	 /* 1 */ 
-1,	341,	 /* 2 */ 
-1,	341,	 /* 3 */ 
0,	0,	 /* 4 */ 
0,	0,	 /* 5 */ 
0,	0,	 /* 6 */ 
0,	-1,	 /* 7 */ 
};

DATA error;

