/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 *  ======== hst.h ========
 *
 */

#ifndef HST_
#define HST_

#include <std.h>

#include <pip.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct HST_Obj {
    Uns		mask;
    PIP_Obj	*pipe;
} HST_Obj;

typedef struct HST_Obj *HST_Handle;

extern PIP_Handle HST_getpipe(HST_Handle hst);

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif	/* HST_ */
