//=============================================================================
//  Filename:	 araw_t.c
//  Version:	 1.00
//  Description: test for real auto-correlation (raw)
//--------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//=============================================================================

#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"


short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)

DATA r[NLAGS];


void main()
{
    //clear
    for (i=0;i<NLAGS;i++) r[i] =0;

    // compute
    acorr(x,r,NX,NLAGS,raw);

    // test  
    eflag=test(r, rtest, NLAGS, MAXERROR);

    return;
}
