//=============================================================================
//  Filename:	 conv2_t.c
//  Version:     0.001				       
//  Description: test for convolution
//--------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

#define	NR	NX

short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)

#pragma DATA_SECTION(r, ".coeffs")
DATA r[NR];


void main()
{
    //clear
    for (i=0;i<NX;i++) r[i] =0;

    // compute
    convol2(x_np,h,r,NR,NH);

    // test  
    eflag = test(r, rtest, NR, MAXERROR);

    return;
}
