//*****************************************************************************
//  Filename:	 iirlat_t.c
//  Version:	 0.01
//  Description: test for iirlat routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>

#include "test.h"

short i;
short eflag= PASS;


void main()
{
    // clear
    for (i=0; i<NK; i++) dbuffer[i] = 0;              // clear delay buffer (a must)

    // compute
    iirlat(x, k, r, dbuffer, NX, NK);

    // test
    eflag = test(r, rtest, NX, MAXERROR);

    return;
}
