//*****************************************************************************
//  Filename:	 sqrtv_t.c
//  Version:	 0.01
//  Description: test for sqrt routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

short i;
short eflag= PASS;


void main()
{
    // clear
    for (i=0;i<NX;i++) r[i] =0;               // clear output buffer (optional)

    // compute
    sqrt_16(x, r, NX);

    // test
    eflag = test(r, rtest, NX, MAXERROR);     // for r

    return;
}
