/*
 *  ======== dss_dsk5402.js ========
 *
 *! Revision History
 *! ================
 *! 23-Jul-2002 jv	renamed it from dss_dsk54.js to dss_dsk5402.js
 *! 15-Dec-2000 dr      created
 */

/*
 *  ======== DSS_rxPipe ========
 */
DSS_rxPipe.bufAlign = 1;

/*
 *  ======== DSS_txPipe ========
 */
DSS_rxPipe.bufAlign = 1;

/*
 *  ======== HWI_SINT10 ========
 */
HWI_SINT10["fxn"] = prog.decl("DSS_isr");
HWI_SINT10.monitor = "Stack Pointer";
HWI_SINT10.useDispatcher = 1;

/*
 *  ======== DSS_mcbspCfg0 ========
 */
var DSS_mcbspCfg0 = MCBSP.create("DSS_mcbspCfg0");
DSS_mcbspCfg0.mcbspSpcr1 = 0x21;
DSS_mcbspCfg0.mcbspSpcr2 = 0x201;
DSS_mcbspCfg0.mcbspRcr1 = 0x40;
DSS_mcbspCfg0.mcbspRcr2 = 0;
DSS_mcbspCfg0.mcbspXcr1 = 0x40;
DSS_mcbspCfg0.mcbspXcr2 = 0;
DSS_mcbspCfg0.mcbspSrgr1 = 0;
DSS_mcbspCfg0.mcbspSrgr2 = 0;
DSS_mcbspCfg0.mcbspMcr1 = 0;
DSS_mcbspCfg0.mcbspMcr2 = 0;
DSS_mcbspCfg0.mcbspPcr = 0xC;

/*
 *  ======== DSS_hMcbsp0 ========
 */
McBSP1.mcbspHandleEnable = 1;
McBSP1.mcbspEnablePreInit = 1;
McBSP1.mcbspHandleName = "DSS_hMcbsp0";
McBSP1.mcbspPreInit = DSS_mcbspCfg0;

