/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... all modules.
* FILENAME...... csl_datasz.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:   03/30/2000
*   MODIFIED:  04/16/2001 modified FILENAME and other header comments
*   MODIFIED:  06/27/2001 modified for new CSL initialization model
*   MODIFIED:  04/04/2002 added ICACHE
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the PWR module)
*       Reserved ROM Area for API Data 
*
*
\******************************************************************************/
#include <csl_chipdat.h>
#include <csl_icachdat.h>
#include <csl_irqdat.h>  
#include <csl_datdat.h>
#include <csl_dmadat.h>
#include <csl_emifdat.h>
#include <csl_gpiodat.h>
#include <csl_plldat.h>
#include <csl_mcbspdat.h>
#include <csl_pwrdat.h>
#include <csl_timdat.h>
#include <csl_errdat.h>
#include <csl_mmcdat.h>
#include <csl_wdtimdat.h>
#include <csl_rtcdat.h>
#include <csl_i2cdat.h>



