/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 * ======== dgi.h ========
 * compatibility file for .cfg files that use DGI.  DGN now works for
 * both integer and floating point DSPs.
 *
 */

#include <dgn.h>

#ifdef __cplusplus
extern "C" {
#endif

#define DGI	DGN

#define DGI_Params DGN_IParams

#define DGI_CONST	DGN_CONST
#define DGI_RAND	DGN_RAND
#define DGI_SINE	DGN_SINE
#define DGI_USER	DGN_USER

#ifdef __cplusplus
}
#endif /* extern "C" */

