;***********************************************************
; Version 2.10.03                                           
;***********************************************************
; Function:    minval
; Processor:   C55xx
; Description: the minimum element in vector x of length nx
; Usage:   DATA minval( DATA *x, ushort nx )
;
;
; Copyright Texas instruments Inc, 2000
;****************************************************************

        .global _minval

        .text

_minval

        mov    *AR0+, AC0
        ||sub  #3, T0

        mov    *AR0+, AC1

        mov    T0, CSR  

        rpt    CSR
        min    AC0, AC1
        ||mov  *AR0+, AC0    

        min    AC0, AC1
        mov    AC1, T0      

        RET