#include <stdlib.h>

#include "dsplib.h"
#include "tms320.h"


DATA x[3] = { 12398 , 23167, 564};

DATA  r[3];
DATA  rexp[3];
float rf1[3];
float rf2[3];

void main()
{
    short i;

    /* clear result buffers */
    for (i=0;i<3;i++) 
    {
        r[i] =0;
        rexp[i] = 0;
    }

    /* Compute reciprocal of x */
    recip16(x, r, rexp, 3);

    /* Convert Q.15 result to float */
    q15tofl(r, rf1, 3);

    /* Multiply float result with exponents */
    for (i=0; i<3; i++)
    {
        rf2[i] = (float)rexp[i] * rf1[i];
    }

    return;
}
