//=============================================================================
//  Filename:	 cubias_t.c
//  Version:     0.001				       
//  Description: test for real cross-correlation (unbiased)
//--------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//=============================================================================
#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

#define NLAGS    NA + NB - 1

short i;
short eflag=PASS; 	       // error flag (-1: no error; else error)
DATA r[NLAGS];


void main()
{
    //clear
    for (i=0;i<NLAGS;i++) r[i] =0;

    // compute  
    corr(b,a,r,NA,NB,unbias);

    // test  
    eflag=test(r, rtest, NLAGS, MAXERROR);

    return;
}
