//*****************************************************************************
//  Filename:	 fl2q_t.c
//  Version:	 0.01
//  Description: test for conversion of floating point to Q (just Q15 for now)
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 06/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
DATA elevel = 0;		 // error level at failing eflag index location
DATA emax = 0;			 // max error level detected across when NOERROR

short err;

void main(void)
{

// clear
for (i=0;i<NX;i++) { r[i] =0;	// clear output buffer (optional)
		    
}
// compute



err=fltoq15(x, r, NX);


// test
eflag = test(r, rtest, NX, MAXERROR);

return;
}
