//*****************************************************************************
//  Filename:	 maxidx_t.c
//  Version:	 0.01
//  Description: test for maxidx routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, Li Yuan, 04/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <stdio.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

short i;
short eflagv = PASS;		// error flag for value into r vector where error
short eflagi = PASS;		// error flag for index into r vector where error


void main()
{
    // clear
    r_val = 0;                     // clear output index and value(optional)
    r_idx = 0;    
    
    // compute
    maxvec(x, NX, &r_val, &r_idx);

    // test  
    eflagv = test(&r_val, &r_testval, 1, MAXERROR);
    eflagi = test(&r_idx, &r_testidx, 1, MAXERROR);

    return;
}

