//*****************************************************************************
//  Filename:	 power_t.c
//  Version:	 0.01
//  Description: test for power routine
//-----------------------------------------------------------------------------
//  Revision History:	 
//    1.000, A. Aboagye, 01/13/00, - original release 
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error


void main()
{
    // clear
    r = 0;                       // clear output buffer (optional)

    // compute
    power(x,&r,NX);

    // test
    eflag = ltest (&r, &rtest, 1, (LDATA) MAXERROR);

    return;
}
