//*****************************************************************************
//  Filename:	 recip_t.c
//  Version:	 0.01
//  Description: test for reciprocal of Q15 number
//-----------------------------------------------------------------------------
//  Revision History:	 
//    0.01, R. Piedra, 06/15/98, - Original release
//*****************************************************************************

#include <math.h>
#include <tms320.h>
#include <dsplib.h>
	
#include "test.h"

// generic variables
short i;

// test for h values
short eflag = PASS;		 // error flag or index of r vector where error
DATA elevel = 0;		 // error level at failing eflag index location
DATA emax = 0;			 // max error level detected across when NOERROR
float  r[NX];


void main(void)
{

// clear
for (i=0;i<NX;i++) { r[i] =0;	// clear output buffer (optional)
		    
}
// compute



q15tofl(x, r, NX);


// test
eflag = ftest(r, rtest, NX, MAXERROR);

return;
}
