/*****************************************************************************/
/* PROTO.H - Prototypes for loader required functions.                       */
/*****************************************************************************/
#ifndef _PROTO_H
#define _PROTO_H

/*--------------------------------------------------------------------------*/
/*  LOADER REQUIRED FUNCTIONS			                            */
/*--------------------------------------------------------------------------*/
/*
extern int   mem_write PARMS((unsigned char *, unsigned int, T_ADDR, unsigned char));
extern int   set_reloc_amount PARMS((void));
extern void  lookup_sym       PARMS((long indx, SYMENT *sym, AUXENT *aux));
extern int   load_syms        PARMS((int need_reloc));
extern void *myalloc          PARMS((size_t size));
extern void *mralloc          PARMS((void *p, size_t size));
*/

extern int  mem_write( unsigned char *buffer, int nbytes, unsigned long addr, int page );
extern int set_reloc_amount();
extern void lookup_sym();
extern int load_syms();
extern char *myalloc( size_t size );
extern char *mralloc( void *p, size_t size );

#endif
