/*****************************************************************************/
/*	blink.c - program to continuously blink all three LED's on board         */
/*            sequentially with a visible delay between blinks.              */
/*****************************************************************************/

#include <board.h>
   
#define BLINK_DELAY 	100

/*****************************************************************************/
/* MAIN                                                                      */
/*****************************************************************************/
void main()
{
	brd_init(160);

    // blink all 3 user LEDs forever
	while (1)
	{
		brd_led_toggle(BRD_LED0);
                   
		brd_busy_delay(BLINK_DELAY);
        
		brd_led_toggle(BRD_LED1);

		brd_busy_delay(BLINK_DELAY);   
        
		brd_led_toggle(BRD_LED2);
		
		brd_busy_delay(BLINK_DELAY);      
	}  
}   
