;*******************************************************************************
;* TMS320C55x ANSI C Codegen                                      Version 2.00 *
;* Date/Time created: Mon Jun 11 15:40:52 2001                                 *
;*******************************************************************************
	.mmregs
	.cpl_on
	.arms_on
	.asg AR6, FP
	.asg XAR6, XFP
	.model call=c55_std
	.model mem=large
	.noremark 5558  ; code avoids SE CPU_33
	.noremark 5571  ; code avoids SE CPU_41
	.noremark 5572  ; code avoids SE CPU_42
	.noremark 5573  ; code avoids SE CPU_43
	.noremark 5584  ; code avoids SE CPU_47
	.noremark 5002  ; code respects overwrite rules
;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Optimization       : Always Choose Smaller Code Size                     *
;*   Memory             : Large Model (23-Bit Data Pointers)                  *
;*   Calls              : Normal Library ASM calls                            *
;*   Debug Info         : Standard TI Debug Information                       *
;******************************************************************************
	.file	"post.c"
	.global	_addr
	.bss	_addr,2,0,1
	.sym	_addr,_addr, 15, 2, 32

	.sect	".cinit"
	.align	1
	.field  	1,16
	.field  	_cnt+0,24
	.field  	0,8
	.field  	20,16			; _cnt @ 0
	.sect	".text"
	.global	_cnt
	.bss	_cnt,1,0,0
	.sym	_cnt,_cnt, 14, 2, 16
	.global	_expected_count
	.bss	_expected_count,2,0,1
	.sym	_expected_count,_expected_count, 5, 2, 32

	.sect	".cinit"
	.align	1
	.field  	2,16
	.field  	_timer_count+0,24
	.field  	0,8
	.field  	0,32			; _timer_count @ 0
	.sect	".text"
	.global	_timer_count
	.bss	_timer_count,2,0,1
	.sym	_timer_count,_timer_count, 5, 2, 32

	.sect	".cinit"
	.align	1
	.field  	2,16
	.field  	_codec_count+0,24
	.field  	0,8
	.field  	0,32			; _codec_count @ 0
	.sect	".text"
	.global	_codec_count
	.bss	_codec_count,2,0,1
	.sym	_codec_count,_codec_count, 5, 2, 32

	.sect	".cinit"
	.align	1
	.field  	1,16
	.field  	_clockStatus+0,24
	.field  	0,8
	.field  	-1,16			; _clockStatus @ 0
	.sect	".text"
	.global	_clockStatus
	.bss	_clockStatus,1,0,0
	.sym	_clockStatus,_clockStatus, 4, 2, 16

	.sect	".cinit"
	.align	1
	.field  	1,16
	.field  	_testDone+0,24
	.field  	0,8
	.field  	0,16			; _testDone @ 0
	.sect	".text"
	.global	_testDone
	.bss	_testDone,1,0,0
	.sym	_testDone,_testDone, 10, 2, 16, $$fake4

	.sect	".cinit"
	.align	1
	.field  	1,16
	.field  	_reg1+0,24
	.field  	0,8
	.field  	0,16			; _reg1 @ 0
	.sect	".text"
	.global	_reg1
	.bss	_reg1,1,0,0
	.sym	_reg1,_reg1, 14, 2, 16

	.sect	".cinit"
	.align	1
	.field  	1,16
	.field  	_reg2+0,24
	.field  	0,8
	.field  	0,16			; _reg2 @ 0
	.sect	".text"
	.global	_reg2
	.bss	_reg2,1,0,0
	.sym	_reg2,_reg2, 14, 2, 16
	.global	_toneBuf
	.bss	_toneBuf,2048,0,0
	.sym	_toneBuf,_toneBuf, 244, 2, 32768,, 2, 1024
	.global	_errorLog
	.bss	_errorLog,1,0,0
	.sym	_errorLog,_errorLog, 14, 2, 16
;	c:\ti\c5500\cgtools\bin\acp55.exe --no_intrinsics -I../../include --ml -Ic:/ti/C5500/bios/include -Ic:/ti/c5500/rtdx/include -Ic:/ti/c5500/cgtools/include --keep_unneeded_types -m --i_output_file C:\TEMP\TI135_2 --template_info_file C:\TEMP\TI135_3 --object_file .\post.obj --opt_shell 13 post.c -g -k -s -pn -al -as -fr. -i../../include -ml -ic:/ti/C5500/bios/include -ic:/ti/c5500/rtdx/include -ic:/ti/c5500/cgtools/include post.c 
	.sect	".text"
	.global	_main
	.sym	_main,_main, 32, 2, 0
	.func	120
;----------------------------------------------------------------------
; 120 | void main()                                                            
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Function Uses Regs : T0,AR1,AR3,M40,SATA,SATD,FRCT,SMUL                  *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 1 word                                              *
;*                        (1 return address/alignment)                        *
;******************************************************************************
_main:
	.line	2
;----------------------------------------------------------------------
; 122 | // initialize board                                                    
;----------------------------------------------------------------------
        AADD #-1, SP
	.line	4
;----------------------------------------------------------------------
; 123 | brd_init(160);                                                         
; 125 | // clear error log                                                     
;----------------------------------------------------------------------
        MOV #160, T0 ; |123| 
        call #_brd_init ; |123| 
                                        ; call occurs [#_brd_init]	; |123| 
	.line	7
;----------------------------------------------------------------------
; 126 | errorLog = 0;                                                          
; 128 | #if 1                                                                  
;----------------------------------------------------------------------
        MOV #0, *(#_errorLog) ; |126| 
	.line	10
;----------------------------------------------------------------------
; 129 | if (clockTest())                                                       
;----------------------------------------------------------------------
        call #_clockTest ; |129| 
                                        ; call occurs [#_clockTest]	; |129| 
        BCC L1,T0 == #0 ; |129| 
                                        ; branch occurs	; |129| 
	.line	11
;----------------------------------------------------------------------
; 130 | processResult(CLOCK_ERROR);                                            
; 131 | #endif                                                                 
; 133 | #if 1                                                                  
;----------------------------------------------------------------------

        call #_processResult ; |130| 
||      MOV #1, T0 ; |130| 

                                        ; call occurs [#_processResult]	; |130| 
L1:    
	.line	15
;----------------------------------------------------------------------
; 134 | if (memTest())                                                         
;----------------------------------------------------------------------
        call #_memTest ; |134| 
                                        ; call occurs [#_memTest]	; |134| 
        BCC L2,T0 == #0 ; |134| 
                                        ; branch occurs	; |134| 
	.line	16
;----------------------------------------------------------------------
; 135 | processResult(MEM_ERROR);                                              
; 136 | #endif                                                                 
; 138 | #if 1                                                                  
;----------------------------------------------------------------------

        call #_processResult ; |135| 
||      MOV #2, T0 ; |135| 

                                        ; call occurs [#_processResult]	; |135| 
L2:    
	.line	20
;----------------------------------------------------------------------
; 139 | if (aic27Test())                                                       
;----------------------------------------------------------------------
        call #_aic27Test ; |139| 
                                        ; call occurs [#_aic27Test]	; |139| 
        BCC L3,T0 == #0 ; |139| 
                                        ; branch occurs	; |139| 
	.line	21
;----------------------------------------------------------------------
; 140 | processResult(AIC27_ERROR);                                            
; 141 | #endif                                                                 
; 143 | #if DBG_PRINT                                                          
; 144 | reportError();                                                         
; 145 | #endif                                                                 
; 147 | // all LEDs off                                                        
;----------------------------------------------------------------------

        call #_processResult ; |140| 
||      MOV #4, T0 ; |140| 

                                        ; call occurs [#_processResult]	; |140| 
L3:    
	.line	29
;----------------------------------------------------------------------
; 148 | CPLD_CTRL1_REG &= ~7;                                                  
;----------------------------------------------------------------------
        AMOV #6291456, XAR3 ; |148| 
        AND #0xfff8, *AR3 ; |148| 
	.line	31
;----------------------------------------------------------------------
; 150 | if (!errorLog)                                                         
; 152 |    // blink all 3 user LEDs forever if no errors                       
;----------------------------------------------------------------------
        MOV *(#_errorLog), AR1
        BCC L5,AR1 != #0 ; |150| 
                                        ; branch occurs	; |150| 
	.line	34
;----------------------------------------------------------------------
; 153 | while (1)                                                              
;----------------------------------------------------------------------
L4:    
	.line	36
;----------------------------------------------------------------------
; 155 | brd_led_toggle(BRD_LED0);                                              
;----------------------------------------------------------------------

        call #_brd_led_toggle ; |155| 
||      MOV #0, T0 ; |155| 

                                        ; call occurs [#_brd_led_toggle]	; |155| 
	.line	38
;----------------------------------------------------------------------
; 157 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |157| 
        call #_brd_busy_delay ; |157| 
                                        ; call occurs [#_brd_busy_delay]	; |157| 
	.line	40
;----------------------------------------------------------------------
; 159 | brd_led_toggle(BRD_LED1);                                              
;----------------------------------------------------------------------

        call #_brd_led_toggle ; |159| 
||      MOV #1, T0 ; |159| 

                                        ; call occurs [#_brd_led_toggle]	; |159| 
	.line	42
;----------------------------------------------------------------------
; 161 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |161| 
        call #_brd_busy_delay ; |161| 
                                        ; call occurs [#_brd_busy_delay]	; |161| 
	.line	44
;----------------------------------------------------------------------
; 163 | brd_led_toggle(BRD_LED2);                                              
;----------------------------------------------------------------------

        call #_brd_led_toggle ; |163| 
||      MOV #2, T0 ; |163| 

                                        ; call occurs [#_brd_led_toggle]	; |163| 
	.line	46
;----------------------------------------------------------------------
; 165 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |165| 
        call #_brd_busy_delay ; |165| 
                                        ; call occurs [#_brd_busy_delay]	; |165| 
	.line	47
;----------------------------------------------------------------------
; 168 | else                                                                   
; 170 |    // blink all error code forever                                     
;----------------------------------------------------------------------
        B L4      ; |166| 
                                        ; branch occurs	; |166| 
L5:    
	.line	52
;----------------------------------------------------------------------
; 171 | while (1)                                                              
;----------------------------------------------------------------------
L6:    
	.line	54
;----------------------------------------------------------------------
; 173 | CPLD_CTRL1_REG |= errorLog;                                            
;----------------------------------------------------------------------
        AMOV #6291456, XAR3 ; |173| 
        MOV *(#_errorLog), AR1
        OR *AR3, AR1, AR1 ; |173| 
        MOV AR1, *AR3 ; |173| 
	.line	55
;----------------------------------------------------------------------
; 174 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |174| 
        call #_brd_busy_delay ; |174| 
                                        ; call occurs [#_brd_busy_delay]	; |174| 
	.line	57
;----------------------------------------------------------------------
; 176 | CPLD_CTRL1_REG &= ~errorLog;                                           
;----------------------------------------------------------------------
        MOV *(#_errorLog), AR1
        AMOV #6291456, XAR3 ; |176| 
        NOT AR1, AR1 ; |176| 
        AND *AR3, AR1, AR1 ; |176| 
        MOV AR1, *AR3 ; |176| 
	.line	58
;----------------------------------------------------------------------
; 177 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |177| 
        call #_brd_busy_delay ; |177| 
                                        ; call occurs [#_brd_busy_delay]	; |177| 
	.line	59
        B L6      ; |178| 
                                        ; branch occurs	; |178| 
	.endfunc	180,000000000h,1


	.sect	".text"
	.global	_processResult
	.sym	_processResult,_processResult, 32, 2, 0
	.func	207
;----------------------------------------------------------------------
; 207 | void processResult(PostResult error)                                   
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _processResult                                              *
;*                                                                            *
;*   Function Uses Regs : T0,AR1,AR2,AR3,CARRY,TC1,M40,SATA,SATD,FRCT,SMUL    *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 4 words                                             *
;*                        (2 return address/alignment)                        *
;*                        (2 local values)                                    *
;******************************************************************************
_processResult:
	.line	2
;* T0    assigned to _error
	.sym	_error,12, 10, 17, 16, $$fake3
	.sym	_error,0, 10, 1, 16, $$fake3
	.sym	_flashCount,1, 4, 1, 16
        AADD #-3, SP
;----------------------------------------------------------------------
; 209 | int flashCount;                                                        
; 211 | // log error                                                           
;----------------------------------------------------------------------
        MOV T0, *SP(#0) ; |208| 
	.line	6
;----------------------------------------------------------------------
; 212 | errorLog |= error;                                                     
; 214 | // if fail, then flash error code                                      
;----------------------------------------------------------------------
        MOV *SP(#0), AR1
        OR *(#_errorLog), AR1, AR1 ; |212| 
        MOV AR1, *(#_errorLog) ; |212| 
	.line	9
;----------------------------------------------------------------------
; 215 | for (flashCount=0; flashCount<5; flashCount++)                         
; 216 | // Flash test # that failed 5 times                                    
;----------------------------------------------------------------------
        MOV #0, *SP(#1) ; |215| 

        MOV #5, AR1 ; |215| 
||      MOV *SP(#1), AR2 ; |215| 

        CMP AR2 >= AR1, TC1 ; |215| 
||      nop       ; 	avoids Silicon Exception CPU_24

        BCC L8,TC1 ; |215| 
                                        ; branch occurs	; |215| 
L7:    
	.line	12
;----------------------------------------------------------------------
; 218 | CPLD_CTRL1_REG |= error;                                               
;----------------------------------------------------------------------
        AMOV #6291456, XAR3 ; |218| 
        MOV *SP(#0), AR1
        OR *AR3, AR1, AR1 ; |218| 
        MOV AR1, *AR3 ; |218| 
	.line	13
;----------------------------------------------------------------------
; 219 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |219| 
        call #_brd_busy_delay ; |219| 
                                        ; call occurs [#_brd_busy_delay]	; |219| 
	.line	14
;----------------------------------------------------------------------
; 220 | CPLD_CTRL1_REG &= ~error;                                              
;----------------------------------------------------------------------
        MOV *SP(#0), AR1 ; |220| 
        AMOV #6291456, XAR3 ; |220| 
        NOT AR1, AR1 ; |220| 
        AND *AR3, AR1, AR1 ; |220| 
        MOV AR1, *AR3 ; |220| 
	.line	15
;----------------------------------------------------------------------
; 221 | brd_busy_delay(DELAY_TIME);                                            
;----------------------------------------------------------------------
        MOV #50, T0 ; |221| 
        call #_brd_busy_delay ; |221| 
                                        ; call occurs [#_brd_busy_delay]	; |221| 
	.line	16
;----------------------------------------------------------------------
; 224 | // all LEDs off                                                        
;----------------------------------------------------------------------
        ADD #1, *SP(#1) ; |222| 

        MOV *SP(#1), AR1 ; |222| 
||      MOV #5, AR2 ; |222| 

        CMP AR1 < AR2, TC1 ; |222| 
||      nop       ; 	avoids Silicon Exception CPU_24

        BCC L7,TC1 ; |222| 
                                        ; branch occurs	; |222| 
L8:    
	.line	19
;----------------------------------------------------------------------
; 225 | CPLD_CTRL1_REG &= ~7;                                                  
;----------------------------------------------------------------------
        AMOV #6291456, XAR3 ; |225| 
        AND #0xfff8, *AR3 ; |225| 
	.line	20
        AADD #3, SP
        return
                                        ; return occurs
	.endfunc	226,000000000h,3


	.sect	".text"
	.global	_memTest
	.sym	_memTest,_memTest, 36, 2, 0
	.func	237
;----------------------------------------------------------------------
; 237 | s16 memTest()                                                          
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _memTest                                                    *
;*                                                                            *
;*   Function Uses Regs : AC0,AC1,T0,AR0,AR3,CARRY,TC1,M40,SATA,SATD,FRCT,    *
;*                        SMUL                                                *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 1 word                                              *
;*                        (1 return address/alignment)                        *
;******************************************************************************
_memTest:
	.line	2
        AADD #-1, SP
	.line	4
;----------------------------------------------------------------------
; 240 | brd_led_disable(BRD_LED0);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |240| 
||      MOV #0, T0 ; |240| 

                                        ; call occurs [#_brd_led_disable]	; |240| 
	.line	5
;----------------------------------------------------------------------
; 241 | brd_led_enable(BRD_LED1);                                              
;----------------------------------------------------------------------

        call #_brd_led_enable ; |241| 
||      MOV #1, T0 ; |241| 

                                        ; call occurs [#_brd_led_enable]	; |241| 
	.line	6
;----------------------------------------------------------------------
; 242 | brd_led_disable(BRD_LED2);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |242| 
||      MOV #2, T0 ; |242| 

                                        ; call occurs [#_brd_led_disable]	; |242| 
	.line	8
;----------------------------------------------------------------------
; 244 | brd_busy_delay(400);                                                   
;----------------------------------------------------------------------
        MOV #400, T0 ; |244| 
        call #_brd_busy_delay ; |244| 
                                        ; call occurs [#_brd_busy_delay]	; |244| 
	.line	10
;----------------------------------------------------------------------
; 246 | if (memTestDataBus((u32)CE0_SBSRAM_ADDR) == (u16)BRD_ERROR)            
;----------------------------------------------------------------------
        AMOV #163840, XAR3 ; |246| 
        MOV XAR3, AC0 
        call #_memTestDataBus ; |246| 
                                        ; call occurs [#_memTestDataBus]	; |246| 
        MOV #0, AC1 ; |246| 
        OR #0xffff, AC1, AC1 ; |246| 
        CMPU AC0 != AC1, TC1 ; |246| 
	.line	12
;----------------------------------------------------------------------
; 248 | return BRD_ERROR;                                                      
;----------------------------------------------------------------------
        XCCPART !TC1 ||
            MOV #-1, T0 ; |248| 
        BCC L13,!TC1 ; |248| 
                                        ; branch occurs	; |248| 
	.line	15
;----------------------------------------------------------------------
; 251 | for (addr = CE0_SBSRAM_ADDR; addr < (u32)(CE0_SBSRAM_ADDR+CE0_SBSRAM_SI
;     | ZE); addr += (u32)BLK_SIZE)                                            
;----------------------------------------------------------------------
        AMOV #163840, XAR3 ; |251| 
        MOV XAR3, AC0 
        nop       ; 	avoids Silicon Exception CPU_7
        nop       ; 	avoids Silicon Exception CPU_7
        MOV AC0, dbl(*(#_addr)) ; |251| 
        AMOV #425984, XAR3 ; |251| 
        MOV dbl(*(#_addr)), AC1 ; |251| 
        MOV XAR3, AC0 
        CMPU AC1 >= AC0, TC1 ; |251| 
        BCC L10,TC1 ; |251| 
                                        ; branch occurs	; |251| 
L9:    
	.line	17
;----------------------------------------------------------------------
; 253 | if ((memTestAddressBus(addr, BLK_SIZE>>1)) != NULL)                    
;----------------------------------------------------------------------
        AMOV #32768, XAR3 ; |253| 
        MOV dbl(*(#_addr)), AC0 ; |253| 
        MOV XAR3, AC1 
        call #_memTestAddressBus ; |253| 
                                        ; call occurs [#_memTestAddressBus]	; |253| 
        MOV XAR0, AC0 
	.line	19
;----------------------------------------------------------------------
; 255 | return BRD_ERROR;                                                      
;----------------------------------------------------------------------
        XCCPART AC0 != #0 ||
            MOV #-1, T0 ; |255| 
        BCC L13,AC0 != #0 ; |255| 
                                        ; branch occurs	; |255| 
	.line	21
        AMOV #65536, XAR3 ; |257| 
        MOV XAR3, AC0 
        nop       ; 	avoids Silicon Exception CPU_7
        ADD dbl(*(#_addr)), AC0, AC0 ; |257| 
        MOV AC0, dbl(*(#_addr)) ; |257| 
        AMOV #425984, XAR3 ; |257| 
        MOV dbl(*(#_addr)), AC1 ; |257| 
        MOV XAR3, AC0 
        CMPU AC1 < AC0, TC1 ; |257| 
        BCC L9,TC1 ; |257| 
                                        ; branch occurs	; |257| 
L10:    
	.line	23
;----------------------------------------------------------------------
; 259 | for (addr = CE0_SBSRAM_ADDR; addr < (u32)(CE0_SBSRAM_ADDR+CE0_SBSRAM_SI
;     | ZE); addr += (u32)BLK_SIZE)                                            
;----------------------------------------------------------------------
        AMOV #163840, XAR3 ; |259| 
        MOV XAR3, AC0 
        nop       ; 	avoids Silicon Exception CPU_7
        nop       ; 	avoids Silicon Exception CPU_7
        MOV AC0, dbl(*(#_addr)) ; |259| 
        AMOV #425984, XAR3 ; |259| 
        MOV dbl(*(#_addr)), AC1 ; |259| 
        MOV XAR3, AC0 
        CMPU AC1 >= AC0, TC1 ; |259| 
        BCC L12,TC1 ; |259| 
                                        ; branch occurs	; |259| 
L11:    
	.line	25
;----------------------------------------------------------------------
; 261 | if ((memTestDevice(addr, BLK_SIZE>>1)) != NULL)                        
;----------------------------------------------------------------------
        AMOV #32768, XAR3 ; |261| 
        MOV dbl(*(#_addr)), AC0 ; |261| 
        MOV XAR3, AC1 
        call #_memTestDevice ; |261| 
                                        ; call occurs [#_memTestDevice]	; |261| 
        MOV XAR0, AC0 
	.line	27
;----------------------------------------------------------------------
; 263 | return BRD_ERROR;                                                      
;----------------------------------------------------------------------
        XCCPART AC0 != #0 ||
            MOV #-1, T0 ; |263| 
        BCC L13,AC0 != #0 ; |263| 
                                        ; branch occurs	; |263| 
	.line	29
        AMOV #65536, XAR3 ; |265| 
        MOV XAR3, AC0 
        nop       ; 	avoids Silicon Exception CPU_7
        ADD dbl(*(#_addr)), AC0, AC0 ; |265| 
        MOV AC0, dbl(*(#_addr)) ; |265| 
        AMOV #425984, XAR3 ; |265| 
        MOV dbl(*(#_addr)), AC1 ; |265| 
        MOV XAR3, AC0 
        CMPU AC1 < AC0, TC1 ; |265| 
        BCC L11,TC1 ; |265| 
                                        ; branch occurs	; |265| 
L12:    
	.line	31
;----------------------------------------------------------------------
; 267 | return BRD_OK;                                                         
;----------------------------------------------------------------------
        MOV #0, T0 ; |267| 
L13:    
	.line	32
        AADD #1, SP ; |267| 
        return    ; |267| 
                                        ; return occurs	; |267| 
	.endfunc	268,000000000h,1


	.sect	".text"
	.global	_memTestDataBus
	.sym	_memTestDataBus,_memTestDataBus, 47, 2, 0
	.func	286
;----------------------------------------------------------------------
; 286 | datum memTestDataBus(u32 addr)                                         
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _memTestDataBus                                             *
;*                                                                            *
;*   Function Uses Regs : AC0,AC1,AR1,AR3,CARRY,TC1,M40,SATD                  *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 8 words                                             *
;*                        (2 return address/alignment)                        *
;*                        (6 local values)                                    *
;******************************************************************************
_memTestDataBus:
	.line	2
;* AC0   assigned to _addr
	.sym	_addr,0, 15, 17, 32
	.sym	_addr,0, 15, 1, 32
	.sym	_pattern,2, 15, 1, 32
	.sym	_address,4, 31, 1, 23
        AADD #-7, SP
;----------------------------------------------------------------------
; 288 | datum pattern;                                                         
;----------------------------------------------------------------------
        MOV AC0, dbl(*SP(#0)) ; |287| 
	.line	4
;----------------------------------------------------------------------
; 289 | volatile datum *address = (volatile datum *)addr;                      
; 291 | //Perform a walking 1's test at the given address.                     
;----------------------------------------------------------------------
        MOV dbl(*SP(#0)), XAR1
        MOV XAR1, dbl(*SP(#4))
	.line	7
;----------------------------------------------------------------------
; 292 | for (pattern = 1; pattern != 0; pattern <<= 1)                         
; 294 |     //Write the test pattern.                                          
;----------------------------------------------------------------------
        MOV #1, AC0 ; |292| 
        MOV AC0, dbl(*SP(#2)) ; |292| 
        BCC L15,AC0 == #0 ; |292| 
                                        ; branch occurs	; |292| 
L14:    
	.line	10
;----------------------------------------------------------------------
; 295 | *address = pattern;                                                    
; 297 | //Read it back (immediately is okay for this test).                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV dbl(*SP(#2)), AC0 ; |295| 
        MOV AC0, dbl(*AR3) ; |295| 
	.line	13
;----------------------------------------------------------------------
; 298 | if (*address != pattern)                                               
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV dbl(*SP(#2)), AC1 ; |298| 
        MOV dbl(*AR3), AC0 ; |298| 
        CMPU AC0 == AC1, TC1 ; |298| 
	.line	15
;----------------------------------------------------------------------
; 300 | return (pattern);                                                      
;----------------------------------------------------------------------
        XCCPART !TC1 ||
            MOV dbl(*SP(#2)), AC0 ; |300| 
        BCC L16,!TC1 ; |300| 
                                        ; branch occurs	; |300| 
	.line	17
        MOV AC1, AC0
        SFTL AC0, #1 ; |302| 
        MOV AC0, dbl(*SP(#2)) ; |302| 
        BCC L14,AC0 != #0 ; |302| 
                                        ; branch occurs	; |302| 
L15:    
	.line	19
;----------------------------------------------------------------------
; 304 | return (0);                                                            
;----------------------------------------------------------------------
        MOV #0, AC0 ; |304| 
L16:    
	.line	20
        AADD #7, SP ; |304| 
        return    ; |304| 
                                        ; return occurs	; |304| 
	.endfunc	305,000000000h,7


	.sect	".text"
	.global	_memTestAddressBus
	.sym	_memTestAddressBus,_memTestAddressBus, 111, 2, 0
	.func	333
;----------------------------------------------------------------------
; 333 | datum *memTestAddressBus(u32 addr, u32 nWords)                         
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _memTestAddressBus                                          *
;*                                                                            *
;*   Function Uses Regs : AC0,AC1,T0,AR0,AR1,AR3,CARRY,TC1,M40,SATD           *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 18 words                                            *
;*                        (2 return address/alignment)                        *
;*                        (16 local values)                                   *
;******************************************************************************
_memTestAddressBus:
	.line	2
;* AC0   assigned to _addr
	.sym	_addr,0, 15, 17, 32
;* AC1   assigned to _nWords
	.sym	_nWords,3, 15, 17, 32
	.sym	_addr,0, 15, 1, 32
	.sym	_nWords,2, 15, 1, 32
	.sym	_baseAddress,4, 31, 1, 23
	.sym	_addressMask,6, 15, 1, 32
	.sym	_offset,8, 15, 1, 32
	.sym	_testOffset,10, 15, 1, 32
	.sym	_pattern,12, 15, 1, 32
	.sym	_antipattern,14, 15, 1, 32
        AADD #-17, SP
        MOV AC0, dbl(*SP(#0)) ; |334| 
        MOV AC1, dbl(*SP(#2)) ; |334| 
	.line	3
;----------------------------------------------------------------------
; 335 | volatile datum *baseAddress = (volatile datum *)addr;                  
;----------------------------------------------------------------------
        MOV dbl(*SP(#0)), XAR1
        MOV XAR1, dbl(*SP(#4))
	.line	4
;----------------------------------------------------------------------
; 336 | u32 addressMask = (nWords - 1);                                        
; 337 | u32 offset;                                                            
; 338 | u32 testOffset;                                                        
;----------------------------------------------------------------------
        MOV AC1, AC0
        SUB #1, AC0 ; |336| 
        MOV AC0, dbl(*SP(#6)) ; |336| 
	.line	8
;----------------------------------------------------------------------
; 340 | datum pattern     = (datum) 0xAAAAAAAA;                                
;----------------------------------------------------------------------
        MOV #-21846 << #16, AC0 ; |340| 
        OR #0xaaaa, AC0, AC0 ; |340| 
        MOV AC0, dbl(*SP(#12)) ; |340| 
	.line	9
;----------------------------------------------------------------------
; 341 | datum antipattern = (datum) 0x55555555;                                
; 344 | //Write the default pattern at each of the power-of-two offsets.       
;----------------------------------------------------------------------
        MOV #21845 << #16, AC0 ; |341| 
        OR #0x5555, AC0, AC0 ; |341| 
        MOV AC0, dbl(*SP(#14)) ; |341| 
	.line	13
;----------------------------------------------------------------------
; 345 | for (offset = sizeof(datum); (offset & addressMask) != 0; offset <<= 1)
;----------------------------------------------------------------------
        MOV #2, AC0 ; |345| 
        MOV AC0, dbl(*SP(#8)) ; |345| 

        MOV dbl(*SP(#6)), AC0 ; |345| 
||      MOV AC0, AC1 ; |345| 

        AND AC1, AC0 ; |345| 
        BCC L18,AC0 == #0 ; |345| 
                                        ; branch occurs	; |345| 
L17:    
	.line	15
;----------------------------------------------------------------------
; 347 | baseAddress[offset] = pattern;                                         
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#9), T0 ; |347| 
        SFTL T0, #1 ; |347| 
        MOV dbl(*SP(#12)), AC0 ; |347| 
        MOV AC0, dbl(*AR3(T0)) ; |347| 
	.line	16
;----------------------------------------------------------------------
; 350 | //Check for address bits stuck high.                                   
;----------------------------------------------------------------------
        MOV dbl(*SP(#8)), AC0 ; |348| 
        SFTL AC0, #1 ; |348| 
        MOV AC0, dbl(*SP(#8)) ; |348| 

        MOV dbl(*SP(#6)), AC0 ; |348| 
||      MOV AC0, AC1 ; |348| 

        AND AC1, AC0 ; |348| 
        BCC L17,AC0 != #0 ; |348| 
                                        ; branch occurs	; |348| 
L18:    
	.line	19
;----------------------------------------------------------------------
; 351 | testOffset = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, AC0 ; |351| 
        MOV AC0, dbl(*SP(#10)) ; |351| 
	.line	21
;----------------------------------------------------------------------
; 353 | baseAddress[testOffset] = antipattern;                                 
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#11), T0 ; |353| 
        SFTL T0, #1 ; |353| 
        MOV dbl(*SP(#14)), AC0 ; |353| 
        MOV AC0, dbl(*AR3(T0)) ; |353| 
	.line	23
;----------------------------------------------------------------------
; 355 | for (offset = sizeof(datum); (offset & addressMask) != 0; offset <<= 1)
;----------------------------------------------------------------------
        MOV #2, AC0 ; |355| 
        MOV AC0, dbl(*SP(#8)) ; |355| 

        MOV dbl(*SP(#6)), AC0 ; |355| 
||      MOV AC0, AC1 ; |355| 

        AND AC1, AC0 ; |355| 
        BCC L21,AC0 == #0 ; |355| 
                                        ; branch occurs	; |355| 
L19:    
	.line	25
;----------------------------------------------------------------------
; 357 | if (baseAddress[offset] != pattern)                                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#9), T0 ; |357| 
        SFTL T0, #1 ; |357| 
        MOV dbl(*AR3(T0)), AC0 ; |357| 
        MOV dbl(*SP(#12)), AC1 ; |357| 
        CMPU AC0 == AC1, TC1 ; |357| 
        BCC L20,TC1 ; |357| 
                                        ; branch occurs	; |357| 
	.line	27
;----------------------------------------------------------------------
; 359 | return ((datum *) &baseAddress[offset]);                               
;----------------------------------------------------------------------
        MOV *SP(#9), AR1 ; |359| 
        MOV XAR3, XAR0 
        SFTL AR1, #1 ; |359| 
        ADD AR1, AR0
        B L27     ; |359| 
                                        ; branch occurs	; |359| 
L20:    
	.line	29
        MOV dbl(*SP(#8)), AC0 ; |361| 
        SFTL AC0, #1 ; |361| 
        MOV AC0, dbl(*SP(#8)) ; |361| 

        MOV dbl(*SP(#6)), AC0 ; |361| 
||      MOV AC0, AC1 ; |361| 

        AND AC1, AC0 ; |361| 
        BCC L19,AC0 != #0 ; |361| 
                                        ; branch occurs	; |361| 
L21:    
	.line	31
;----------------------------------------------------------------------
; 363 | baseAddress[testOffset] = pattern;                                     
; 365 | //Check for address bits stuck low or shorted.                         
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#11), T0 ; |363| 
        SFTL T0, #1 ; |363| 
        MOV dbl(*SP(#12)), AC0 ; |363| 
        MOV AC0, dbl(*AR3(T0)) ; |363| 
	.line	34
;----------------------------------------------------------------------
; 366 | for (testOffset = sizeof(datum); (testOffset & addressMask) != 0; testO
;     | ffset <<= 1)                                                           
;----------------------------------------------------------------------
        MOV #2, AC0 ; |366| 
        MOV AC0, dbl(*SP(#10)) ; |366| 

        MOV dbl(*SP(#6)), AC0 ; |366| 
||      MOV AC0, AC1 ; |366| 

        AND AC1, AC0 ; |366| 
        BCC L26,AC0 == #0 ; |366| 
                                        ; branch occurs	; |366| 
L22:    
	.line	36
;----------------------------------------------------------------------
; 368 | baseAddress[testOffset] = antipattern;                                 
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#11), T0 ; |368| 
        SFTL T0, #1 ; |368| 
        MOV dbl(*SP(#14)), AC0 ; |368| 
        MOV AC0, dbl(*AR3(T0)) ; |368| 
	.line	38
;----------------------------------------------------------------------
; 370 | for (offset = sizeof(datum); (offset & addressMask) != 0; offset <<= 1)
;----------------------------------------------------------------------
        MOV #2, AC0 ; |370| 
        MOV AC0, dbl(*SP(#8)) ; |370| 

        MOV dbl(*SP(#6)), AC0 ; |370| 
||      MOV AC0, AC1 ; |370| 

        AND AC1, AC0 ; |370| 
        BCC L25,AC0 == #0 ; |370| 
                                        ; branch occurs	; |370| 
L23:    
	.line	40
;----------------------------------------------------------------------
; 372 | if ((baseAddress[offset] != pattern) && (offset != testOffset))        
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#9), T0 ; |372| 
        SFTL T0, #1 ; |372| 
        MOV dbl(*AR3(T0)), AC1 ; |372| 
        MOV dbl(*SP(#12)), AC0 ; |372| 
        CMPU AC1 == AC0, TC1 ; |372| 
        BCC L24,TC1 ; |372| 
                                        ; branch occurs	; |372| 
        MOV dbl(*SP(#10)), AC0 ; |372| 
        MOV dbl(*SP(#8)), AC1 ; |372| 
        CMPU AC1 == AC0, TC1 ; |372| 
        BCC L24,TC1 ; |372| 
                                        ; branch occurs	; |372| 
	.line	42
;----------------------------------------------------------------------
; 374 | return ((datum *) &baseAddress[testOffset]);                           
;----------------------------------------------------------------------
        MOV *SP(#11), AR1 ; |374| 
        MOV XAR3, XAR0 
        SFTL AR1, #1 ; |374| 
        ADD AR1, AR0
        B L27     ; |374| 
                                        ; branch occurs	; |374| 
L24:    
	.line	44
        MOV dbl(*SP(#8)), AC0 ; |376| 
        SFTL AC0, #1 ; |376| 
        MOV AC0, dbl(*SP(#8)) ; |376| 

        MOV dbl(*SP(#6)), AC0 ; |376| 
||      MOV AC0, AC1 ; |376| 

        AND AC1, AC0 ; |376| 
        BCC L23,AC0 != #0 ; |376| 
                                        ; branch occurs	; |376| 
L25:    
	.line	46
;----------------------------------------------------------------------
; 378 | baseAddress[testOffset] = pattern;                                     
;----------------------------------------------------------------------
        MOV dbl(*SP(#4)), XAR3
        MOV *SP(#11), T0 ; |378| 
        SFTL T0, #1 ; |378| 
        MOV dbl(*SP(#12)), AC0 ; |378| 
        MOV AC0, dbl(*AR3(T0)) ; |378| 
	.line	47
        MOV dbl(*SP(#10)), AC0 ; |379| 

        SFTL AC0, #1 ; |379| 
||      MOV dbl(*SP(#6)), AC1 ; |379| 

        AND AC0, AC1 ; |379| 
        MOV AC0, dbl(*SP(#10)) ; |379| 
        BCC L22,AC1 != #0 ; |379| 
                                        ; branch occurs	; |379| 
L26:    
	.line	49
;----------------------------------------------------------------------
; 381 | return (NULL);                                                         
;----------------------------------------------------------------------
        AMOV #0, XAR0 ; |381| 
L27:    
	.line	50
        AADD #17, SP ; |381| 
        return    ; |381| 
                                        ; return occurs	; |381| 
	.endfunc	382,000000000h,17


	.sect	".text"
	.global	_memTestDevice
	.sym	_memTestDevice,_memTestDevice, 111, 2, 0
	.func	407
;----------------------------------------------------------------------
; 407 | datum* memTestDevice(u32 addr, u32 nWords)                             
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _memTestDevice                                              *
;*                                                                            *
;*   Function Uses Regs : AC0,AC1,T0,AR0,AR1,AR3,CARRY,TC1,M40,SATD           *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 14 words                                            *
;*                        (2 return address/alignment)                        *
;*                        (12 local values)                                   *
;******************************************************************************
_memTestDevice:
	.line	2
;* AC0   assigned to _addr
	.sym	_addr,0, 15, 17, 32
;* AC1   assigned to _nWords
	.sym	_nWords,3, 15, 17, 32
	.sym	_addr,0, 15, 1, 32
	.sym	_nWords,2, 15, 1, 32
	.sym	_offset,4, 15, 1, 32
	.sym	_baseAddress,6, 31, 1, 23
	.sym	_pattern,8, 15, 1, 32
	.sym	_antipattern,10, 15, 1, 32
        AADD #-13, SP
;----------------------------------------------------------------------
; 409 | u32 offset;                                                            
;----------------------------------------------------------------------
        MOV AC0, dbl(*SP(#0)) ; |408| 
        MOV AC1, dbl(*SP(#2)) ; |408| 
	.line	4
;----------------------------------------------------------------------
; 410 | volatile datum *baseAddress = (volatile datum *)addr;                  
; 412 | datum pattern;                                                         
; 413 | datum antipattern;                                                     
; 415 | //Fill memory with a known pattern.                                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#0)), XAR1
        MOV XAR1, dbl(*SP(#6))
	.line	10
;----------------------------------------------------------------------
; 416 | for (pattern = 1, offset = 0; offset < nWords; pattern++, offset++)    
;----------------------------------------------------------------------
        MOV #1, AC0 ; |416| 

        MOV #0, AC0 ; |416| 
||      MOV AC0, dbl(*SP(#8)) ; |416| 

        MOV AC0, dbl(*SP(#4)) ; |416| 

        MOV dbl(*SP(#4)), AC1 ; |416| 
||      MOV AC1, AC0 ; |416| 

        CMPU AC1 >= AC0, TC1 ; |416| 
        BCC L29,TC1 ; |416| 
                                        ; branch occurs	; |416| 
L28:    
	.line	12
;----------------------------------------------------------------------
; 418 | baseAddress[offset] = pattern;                                         
;----------------------------------------------------------------------
        MOV dbl(*SP(#6)), XAR3
        MOV *SP(#5), T0 ; |418| 
        SFTL T0, #1 ; |418| 
        MOV dbl(*SP(#8)), AC0 ; |418| 
        MOV AC0, dbl(*AR3(T0)) ; |418| 
	.line	13
;----------------------------------------------------------------------
; 423 | //Check each location and invert it for the second pass.               
;----------------------------------------------------------------------
        MOV dbl(*SP(#8)), AC0 ; |419| 
        ADD #1, AC0 ; |419| 
        MOV AC0, dbl(*SP(#8)) ; |419| 
        MOV dbl(*SP(#4)), AC0 ; |419| 
        ADD #1, AC0 ; |419| 
        MOV AC0, dbl(*SP(#4)) ; |419| 
        MOV dbl(*SP(#4)), AC1 ; |419| 
        MOV dbl(*SP(#2)), AC0 ; |419| 
        CMPU AC1 < AC0, TC1 ; |419| 
        BCC L28,TC1 ; |419| 
                                        ; branch occurs	; |419| 
L29:    
	.line	18
;----------------------------------------------------------------------
; 424 | for (pattern = 1, offset = 0; offset < nWords; pattern++, offset++)    
;----------------------------------------------------------------------
        MOV #1, AC0 ; |424| 

        MOV #0, AC0 ; |424| 
||      MOV AC0, dbl(*SP(#8)) ; |424| 

        MOV AC0, dbl(*SP(#4)) ; |424| 
        MOV dbl(*SP(#4)), AC1 ; |424| 
        MOV dbl(*SP(#2)), AC0 ; |424| 
        CMPU AC1 >= AC0, TC1 ; |424| 
        BCC L32,TC1 ; |424| 
                                        ; branch occurs	; |424| 
L30:    
	.line	20
;----------------------------------------------------------------------
; 426 | if (baseAddress[offset] != pattern)                                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#6)), XAR3
        MOV *SP(#5), T0 ; |426| 
        SFTL T0, #1 ; |426| 
        MOV dbl(*AR3(T0)), AC1 ; |426| 
        MOV dbl(*SP(#8)), AC0 ; |426| 
        CMPU AC1 == AC0, TC1 ; |426| 
        BCC L31,TC1 ; |426| 
                                        ; branch occurs	; |426| 
	.line	22
;----------------------------------------------------------------------
; 428 | return ((datum *) &baseAddress[offset]);                               
;----------------------------------------------------------------------
        MOV *SP(#5), AR1 ; |428| 
        MOV XAR3, XAR0 
        SFTL AR1, #1 ; |428| 
        ADD AR1, AR0
        B L36     ; |428| 
                                        ; branch occurs	; |428| 
L31:    
	.line	25
;----------------------------------------------------------------------
; 431 | antipattern = ~pattern;                                                
;----------------------------------------------------------------------
        NOT AC0, AC0 ; |431| 
        MOV AC0, dbl(*SP(#10)) ; |431| 
	.line	27
;----------------------------------------------------------------------
; 433 | baseAddress[offset] = antipattern;                                     
;----------------------------------------------------------------------
        MOV *SP(#5), T0 ; |433| 
        SFTL T0, #1 ; |433| 
        MOV AC0, dbl(*AR3(T0)) ; |433| 
	.line	28
;----------------------------------------------------------------------
; 436 | //Check each location for the inverted pattern and zero it.            
;----------------------------------------------------------------------
        MOV dbl(*SP(#8)), AC0 ; |434| 
        ADD #1, AC0 ; |434| 
        MOV AC0, dbl(*SP(#8)) ; |434| 
        MOV dbl(*SP(#4)), AC0 ; |434| 
        ADD #1, AC0 ; |434| 
        MOV AC0, dbl(*SP(#4)) ; |434| 
        MOV dbl(*SP(#4)), AC1 ; |434| 
        MOV dbl(*SP(#2)), AC0 ; |434| 
        CMPU AC1 < AC0, TC1 ; |434| 
        BCC L30,TC1 ; |434| 
                                        ; branch occurs	; |434| 
L32:    
	.line	31
;----------------------------------------------------------------------
; 437 | for (pattern = 1, offset = 0; offset < nWords; pattern++, offset++)    
;----------------------------------------------------------------------
        MOV #1, AC0 ; |437| 

        MOV #0, AC0 ; |437| 
||      MOV AC0, dbl(*SP(#8)) ; |437| 

        MOV AC0, dbl(*SP(#4)) ; |437| 
        MOV dbl(*SP(#4)), AC1 ; |437| 
        MOV dbl(*SP(#2)), AC0 ; |437| 
        CMPU AC1 >= AC0, TC1 ; |437| 
        BCC L35,TC1 ; |437| 
                                        ; branch occurs	; |437| 
L33:    
	.line	33
;----------------------------------------------------------------------
; 439 | antipattern = ~pattern;                                                
;----------------------------------------------------------------------
        MOV dbl(*SP(#8)), AC0 ; |439| 
        NOT AC0, AC0 ; |439| 
        MOV AC0, dbl(*SP(#10)) ; |439| 
	.line	35
;----------------------------------------------------------------------
; 441 | if (baseAddress[offset] != antipattern)                                
;----------------------------------------------------------------------
        MOV dbl(*SP(#6)), XAR3
        MOV *SP(#5), T0 ; |441| 
        SFTL T0, #1 ; |441| 
        MOV dbl(*AR3(T0)), AC1 ; |441| 
        CMPU AC1 == AC0, TC1 ; |441| 
        BCC L34,TC1 ; |441| 
                                        ; branch occurs	; |441| 
	.line	37
;----------------------------------------------------------------------
; 443 | return ((datum *) &baseAddress[offset]);                               
;----------------------------------------------------------------------
        MOV *SP(#5), AR1 ; |443| 
        MOV XAR3, XAR0 
        SFTL AR1, #1 ; |443| 
        ADD AR1, AR0
        B L36     ; |443| 
                                        ; branch occurs	; |443| 
L34:    
	.line	40
;----------------------------------------------------------------------
; 446 | baseAddress[offset] = 0;                                               
;----------------------------------------------------------------------
        MOV *SP(#5), T0 ; |446| 
        SFTL T0, #1 ; |446| 
        MOV #0, AC0 ; |446| 
        MOV AC0, dbl(*AR3(T0)) ; |446| 
	.line	41
        MOV dbl(*SP(#8)), AC0 ; |447| 
        ADD #1, AC0 ; |447| 
        MOV AC0, dbl(*SP(#8)) ; |447| 
        MOV dbl(*SP(#4)), AC0 ; |447| 
        ADD #1, AC0 ; |447| 
        MOV AC0, dbl(*SP(#4)) ; |447| 
        MOV dbl(*SP(#4)), AC1 ; |447| 
        MOV dbl(*SP(#2)), AC0 ; |447| 
        CMPU AC1 < AC0, TC1 ; |447| 
        BCC L33,TC1 ; |447| 
                                        ; branch occurs	; |447| 
L35:    
	.line	43
;----------------------------------------------------------------------
; 449 | return (NULL);                                                         
;----------------------------------------------------------------------
        AMOV #0, XAR0 ; |449| 
L36:    
	.line	44
        AADD #13, SP ; |449| 
        return    ; |449| 
                                        ; return occurs	; |449| 
	.endfunc	450,000000000h,13


	.sect	".text"
	.global	_aic27Test
	.sym	_aic27Test,_aic27Test, 36, 2, 0
	.func	467
;----------------------------------------------------------------------
; 467 | s16 aic27Test()                                                        
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _aic27Test                                                  *
;*                                                                            *
;*   Function Uses Regs : T0,T1,AR0,M40,SATA,SATD,FRCT,SMUL                   *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 2 words                                             *
;*                        (1 return address/alignment)                        *
;*                        (1 local values)                                    *
;******************************************************************************
_aic27Test:
	.line	2
	.sym	_ret,0, 4, 1, 16
        AADD #-1, SP
	.line	3
;----------------------------------------------------------------------
; 469 | s16 ret = BRD_OK;                                                      
;----------------------------------------------------------------------
        MOV #0, *SP(#0) ; |469| 
	.line	5
;----------------------------------------------------------------------
; 471 | brd_led_disable(BRD_LED0);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |471| 
||      MOV #0, T0 ; |471| 

                                        ; call occurs [#_brd_led_disable]	; |471| 
	.line	6
;----------------------------------------------------------------------
; 472 | brd_led_disable(BRD_LED1);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |472| 
||      MOV #1, T0 ; |472| 

                                        ; call occurs [#_brd_led_disable]	; |472| 
	.line	7
;----------------------------------------------------------------------
; 473 | brd_led_enable(BRD_LED2);                                              
;----------------------------------------------------------------------

        call #_brd_led_enable ; |473| 
||      MOV #2, T0 ; |473| 

                                        ; call occurs [#_brd_led_enable]	; |473| 
	.line	9
;----------------------------------------------------------------------
; 475 | aic27_open();           // open AIC27 codec and connect codec to a McBS
;     | P                                                                      
;----------------------------------------------------------------------
        call #_aic27_open ; |475| 
                                        ; call occurs [#_aic27_open]	; |475| 
	.line	11
;----------------------------------------------------------------------
; 477 | aic27_write_reg(MASTER_VOL, 0x0202, 0xFFFF);    // write to an AIC27 co
;     | ntrol reg                                                              
;----------------------------------------------------------------------
        MOV #65535, AR0 ; |477| 
        MOV #514, T1 ; |477| 

        call #_aic27_write_reg ; |477| 
||      MOV #2, T0 ; |477| 

                                        ; call occurs [#_aic27_write_reg]	; |477| 
	.line	13
;----------------------------------------------------------------------
; 479 | reg1 = aic27_read_reg(MASTER_VOL);              // read from the AIC27
;     | control reg                                                            
;----------------------------------------------------------------------

        call #_aic27_read_reg ; |479| 
||      MOV #2, T0 ; |479| 

                                        ; call occurs [#_aic27_read_reg]	; |479| 
        MOV T0, *(#_reg1) ; |479| 
	.line	16
;----------------------------------------------------------------------
; 482 | playTone(RIGHT);                                                       
;----------------------------------------------------------------------

        call #_playTone ; |482| 
||      MOV #1, T0 ; |482| 

                                        ; call occurs [#_playTone]	; |482| 
	.line	18
;----------------------------------------------------------------------
; 484 | brd_busy_delay(10);                                                    
;----------------------------------------------------------------------

        call #_brd_busy_delay ; |484| 
||      MOV #10, T0 ; |484| 

                                        ; call occurs [#_brd_busy_delay]	; |484| 
	.line	20
;----------------------------------------------------------------------
; 486 | playTone(LEFT);                                                        
;----------------------------------------------------------------------

        call #_playTone ; |486| 
||      MOV #0, T0 ; |486| 

                                        ; call occurs [#_playTone]	; |486| 
	.line	22
;----------------------------------------------------------------------
; 488 | brd_busy_delay(10);                                                    
;----------------------------------------------------------------------

        call #_brd_busy_delay ; |488| 
||      MOV #10, T0 ; |488| 

                                        ; call occurs [#_brd_busy_delay]	; |488| 
	.line	24
;----------------------------------------------------------------------
; 490 | playTone(BOTH);                                                        
;----------------------------------------------------------------------

        call #_playTone ; |490| 
||      MOV #2, T0 ; |490| 

                                        ; call occurs [#_playTone]	; |490| 
	.line	26
;----------------------------------------------------------------------
; 492 | brd_busy_delay(10);                                                    
;----------------------------------------------------------------------

        call #_brd_busy_delay ; |492| 
||      MOV #10, T0 ; |492| 

                                        ; call occurs [#_brd_busy_delay]	; |492| 
	.line	28
;----------------------------------------------------------------------
; 494 | captureTone();                                                         
;----------------------------------------------------------------------
        call #_captureTone ; |494| 
                                        ; call occurs [#_captureTone]	; |494| 
	.line	30
;----------------------------------------------------------------------
; 496 | aic27_close();          // close the codec connection                  
;----------------------------------------------------------------------
        call #_aic27_close ; |496| 
                                        ; call occurs [#_aic27_close]	; |496| 
	.line	32
;----------------------------------------------------------------------
; 498 | return ret;                                                            
;----------------------------------------------------------------------
        MOV *SP(#0), T0 ; |498| 
	.line	33
        AADD #1, SP ; |498| 
        return    ; |498| 
                                        ; return occurs	; |498| 
	.endfunc	499,000000000h,1


	.sect	".text"
	.global	_playTone
	.sym	_playTone,_playTone, 32, 2, 0
	.func	510
;----------------------------------------------------------------------
; 510 | void playTone(int ch)                                                  
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _playTone                                                   *
;*                                                                            *
;*   Function Uses Regs : AC0,T0,T1,AR0,AR1,AR2,AR3,SP,CARRY,TC1,M40,SATA,    *
;*                        SATD,FRCT,SMUL                                      *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 6 words                                             *
;*                        (1 return address/alignment)                        *
;*                        (5 local values)                                    *
;******************************************************************************
_playTone:
	.line	2
;* T0    assigned to _ch
	.sym	_ch,12, 4, 17, 16
	.sym	_ch,0, 4, 1, 16
	.sym	_i,1, 14, 1, 16
	.sym	_bufStatus,2, 20, 1, 23
	.sym	_bufNum,4, 10, 1, 16, $$fake4
        AADD #-5, SP
;----------------------------------------------------------------------
; 512 | u16 i;                                                                 
; 513 | int *bufStatus;                                                        
;----------------------------------------------------------------------
        MOV T0, *SP(#0) ; |511| 
	.line	5
;----------------------------------------------------------------------
; 514 | bool bufNum = (bool)0;                                                 
;----------------------------------------------------------------------
        MOV #0, *SP(#4) ; |514| 
	.line	7
;----------------------------------------------------------------------
; 516 | sig_init(TONE_FREQ,TONE_PB_SAMPLE_RATE);                               
;----------------------------------------------------------------------
        MOV #8000, T1 ; |516| 
        MOV #1000, T0 ; |516| 
        call #_sig_init ; |516| 
                                        ; call occurs [#_sig_init]	; |516| 
	.line	9
;----------------------------------------------------------------------
; 518 | for (i=0; i<BUF_SIZE; i++)                                             
;----------------------------------------------------------------------
        MOV #0, *SP(#1) ; |518| 
        MOV #1024, AR1 ; |518| 
        MOV *SP(#1), AR2

        CMPU AR2 >= AR1, TC1 ; |518| 
||      nop       ; 	avoids Silicon Exception CPU_24

        MOV #1024, AR2 ; |523| 
        BCC L38,TC1 ; |518| 
                                        ; branch occurs	; |518| 
L37:    
	.line	11
;----------------------------------------------------------------------
; 520 | toneBuf[0][i] = toneBuf[1][i] = 0;                                     
;----------------------------------------------------------------------
        MOV *SP(#1), T0 ; |520| 
        MOV #0, AR1 ; |520| 
        AMOV #(_toneBuf+1024), XAR3 ; |520| 
        MOV AR1, *AR3(T0) ; |520| 
        MOV *SP(#1), T0 ; |520| 
        AMOV #_toneBuf, XAR3 ; |520| 
        MOV AR1, *AR3(T0) ; |520| 
	.line	12
;----------------------------------------------------------------------
; 521 | i++;                                                                   
;----------------------------------------------------------------------
        ADD #1, *SP(#1) ; |521| 
	.line	13
;----------------------------------------------------------------------
; 522 | toneBuf[0][i] = toneBuf[1][i] = 0;                                     
;----------------------------------------------------------------------
        MOV *SP(#1), T0 ; |522| 
        AMOV #(_toneBuf+1024), XAR3 ; |522| 
        MOV AR1, *AR3(T0) ; |522| 
        MOV *SP(#1), T0 ; |522| 
        AMOV #_toneBuf, XAR3 ; |522| 
        MOV AR1, *AR3(T0) ; |522| 
	.line	14
;----------------------------------------------------------------------
; 525 | //synthesize tone                                                      
;----------------------------------------------------------------------
        ADD #1, *SP(#1) ; |523| 
        MOV *SP(#1), AR1

        CMPU AR1 < AR2, TC1 ; |523| 
||      nop       ; 	avoids Silicon Exception CPU_24

        BCC L37,TC1 ; |523| 
                                        ; branch occurs	; |523| 
L38:    
	.line	17
;----------------------------------------------------------------------
; 526 | sig(toneBuf[0], BUF_SIZE, N_CH, (SigCh)ch);                            
;----------------------------------------------------------------------
        MOV *SP(#0), AR1 ; |526| 
        AMOV #_toneBuf, XAR0 ; |526| 
        MOV #1024, T0 ; |526| 

        call #_sig ; |526| 
||      MOV #2, T1 ; |526| 

                                        ; call occurs [#_sig]	; |526| 
	.line	18
;----------------------------------------------------------------------
; 527 | sig(toneBuf[1], BUF_SIZE, N_CH, (SigCh)ch);                            
;----------------------------------------------------------------------
        MOV #1024, T0 ; |527| 
        MOV *SP(#0), AR1 ; |527| 
        AMOV #(_toneBuf+1024), XAR0 ; |527| 

        call #_sig ; |527| 
||      MOV #2, T1 ; |527| 

                                        ; call occurs [#_sig]	; |527| 
	.line	20
;----------------------------------------------------------------------
; 529 | CPLD_CTRL2_REG &= ~1;                                                  
;----------------------------------------------------------------------
        AMOV #6291460, XAR3 ; |529| 
        AND #0xfffe, *AR3 ; |529| 
	.line	22
;----------------------------------------------------------------------
; 531 | aic27_write_reg(EXTD_AUDIO_STATCTRL, 0x0001, 0x0001);                  
;----------------------------------------------------------------------
        MOV #1, T1 ; |531| 
        MOV #42, T0 ; |531| 

        call #_aic27_write_reg ; |531| 
||      MOV #1, AR0 ; |531| 

                                        ; call occurs [#_aic27_write_reg]	; |531| 
	.line	23
;----------------------------------------------------------------------
; 532 | aic27_sample_rate(AUDIO_ADC_RRATE, AIC27_8000HZ);                      
;----------------------------------------------------------------------
        MOV #8000, T1 ; |532| 
        MOV #50, T0 ; |532| 
        call #_aic27_sample_rate ; |532| 
                                        ; call occurs [#_aic27_sample_rate]	; |532| 
	.line	24
;----------------------------------------------------------------------
; 533 | aic27_sample_rate(FRONT_DAC_SRATE, AIC27_8000HZ);                      
;----------------------------------------------------------------------
        MOV #8000, T1 ; |533| 
        MOV #44, T0 ; |533| 
        call #_aic27_sample_rate ; |533| 
                                        ; call occurs [#_aic27_sample_rate]	; |533| 
	.line	26
;----------------------------------------------------------------------
; 535 | reg2 = aic27_read_reg(AUDIO_ADC_RRATE);                                
;----------------------------------------------------------------------
        MOV #50, T0 ; |535| 
        call #_aic27_read_reg ; |535| 
                                        ; call occurs [#_aic27_read_reg]	; |535| 
        MOV T0, *(#_reg2) ; |535| 
	.line	28
;----------------------------------------------------------------------
; 537 | aic27_cont_play(toneBuf[0], toneBuf[1], BUF_SIZE, 0,&bufStatus);       
; 539 |     //wait for first buffer to be done                                 
;----------------------------------------------------------------------
        AMOV #_toneBuf, XAR0 ; |537| 
        MOV XSP, XAR2                   ; |537| 
        AMOV #(_toneBuf+1024), XAR1 ; |537| 
        ADD #2, AR2, AR2
        MOV #1024, T0 ; |537| 

        call #_aic27_cont_play ; |537| 
||      MOV #0, AC0 ; |537| 

                                        ; call occurs [#_aic27_cont_play]	; |537| 
	.line	31
;----------------------------------------------------------------------
; 540 | while (*bufStatus);                                                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#2)), XAR3
        MOV *AR3, AR1 ; |540| 
        BCC L40,AR1 == #0 ; |540| 
                                        ; branch occurs	; |540| 
L39:    
        MOV dbl(*SP(#2)), XAR3
        MOV *AR3, AR1 ; |540| 
        BCC L39,AR1 != #0 ; |540| 
                                        ; branch occurs	; |540| 
L40:    
	.line	33
;----------------------------------------------------------------------
; 542 | i = 40;                                                                
;----------------------------------------------------------------------
        MOV #40, *SP(#1) ; |542| 
	.line	35
;----------------------------------------------------------------------
; 544 | while(i--)                                                             
;----------------------------------------------------------------------
        MOV *SP(#1), AR1
        SUB #1, AR1, AR2
        MOV AR2, *SP(#1) ; |544| 
        BCC L44,AR1 == #0 ; |544| 
                                        ; branch occurs	; |544| 
L41:    
	.line	38
;----------------------------------------------------------------------
; 547 | bufNum ^= 1;                                                           
;----------------------------------------------------------------------
        XOR #0x0001, *SP(#4) ; |547| 
	.line	39
;----------------------------------------------------------------------
; 548 | *bufStatus = 1;                                                        
; 550 | //wait for buffer to be empty                                          
;----------------------------------------------------------------------
        MOV dbl(*SP(#2)), XAR3
        MOV #1, *AR3 ; |548| 
	.line	42
;----------------------------------------------------------------------
; 551 | while (*bufStatus);                                                    
;----------------------------------------------------------------------
        MOV dbl(*SP(#2)), XAR3
        MOV *AR3, AR1 ; |551| 
        BCC L43,AR1 == #0 ; |551| 
                                        ; branch occurs	; |551| 
L42:    
        MOV dbl(*SP(#2)), XAR3
        MOV *AR3, AR1 ; |551| 
        BCC L42,AR1 != #0 ; |551| 
                                        ; branch occurs	; |551| 
L43:    
	.line	43
        MOV *SP(#1), AR1
        SUB #1, AR1, AR2
        MOV AR2, *SP(#1) ; |552| 
        BCC L41,AR1 != #0 ; |552| 
                                        ; branch occurs	; |552| 
L44:    
	.line	45
;----------------------------------------------------------------------
; 554 | aic27_stop_play();                                                     
;----------------------------------------------------------------------
        call #_aic27_stop_play ; |554| 
                                        ; call occurs [#_aic27_stop_play]	; |554| 
	.line	46
        AADD #5, SP
        return
                                        ; return occurs
	.endfunc	555,000000000h,5


	.sect	".text"
	.global	_captureTone
	.sym	_captureTone,_captureTone, 32, 2, 0
	.func	566
;----------------------------------------------------------------------
; 566 | void captureTone()                                                     
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _captureTone                                                *
;*                                                                            *
;*   Function Uses Regs : AC0,T0,T1,AR0,AR1,AR2,AR3,SP,CARRY,TC1,M40,SATA,    *
;*                        SATD,FRCT,SMUL                                      *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 6 words                                             *
;*                        (1 return address/alignment)                        *
;*                        (5 local values)                                    *
;******************************************************************************
_captureTone:
	.line	2
;----------------------------------------------------------------------
; 568 | int *bufStatus1;                                                       
; 569 | int *bufStatus2;                                                       
; 570 | int count;                                                             
;----------------------------------------------------------------------
	.sym	_bufStatus1,0, 20, 1, 23
	.sym	_bufStatus2,2, 20, 1, 23
	.sym	_count,4, 4, 1, 16
        AADD #-5, SP
	.line	7
;----------------------------------------------------------------------
; 572 | CPLD_CTRL2_REG &= ~1;                                                  
;----------------------------------------------------------------------
        AMOV #6291460, XAR3 ; |572| 
        AND #0xfffe, *AR3 ; |572| 
	.line	9
;----------------------------------------------------------------------
; 574 | aic27_sample_rate(AUDIO_ADC_RRATE, AIC27_48000HZ);                     
;----------------------------------------------------------------------
        MOV #48000, T1 ; |574| 
        MOV #50, T0 ; |574| 
        call #_aic27_sample_rate ; |574| 
                                        ; call occurs [#_aic27_sample_rate]	; |574| 
	.line	10
;----------------------------------------------------------------------
; 575 | aic27_sample_rate(FRONT_DAC_SRATE, AIC27_48000HZ);                     
;----------------------------------------------------------------------
        MOV #48000, T1 ; |575| 
        MOV #44, T0 ; |575| 
        call #_aic27_sample_rate ; |575| 
                                        ; call occurs [#_aic27_sample_rate]	; |575| 
	.line	12
;----------------------------------------------------------------------
; 577 | aic27_write_reg(FRONT_MIXER_VOL, 0x0000, 0xFFFF);                      
;----------------------------------------------------------------------
        MOV #65535, AR0 ; |577| 
        MOV #114, T0 ; |577| 

        call #_aic27_write_reg ; |577| 
||      MOV #0, T1 ; |577| 

                                        ; call occurs [#_aic27_write_reg]	; |577| 
	.line	13
;----------------------------------------------------------------------
; 578 | aic27_write_reg(REC_SEL, MIC_IN, 0xffff); //mic                        
;----------------------------------------------------------------------
        MOV #65535, AR0 ; |578| 
        MOV #26, T0 ; |578| 

        call #_aic27_write_reg ; |578| 
||      MOV #0, T1 ; |578| 

                                        ; call occurs [#_aic27_write_reg]	; |578| 
	.line	15
;----------------------------------------------------------------------
; 580 | aic27_write_reg(GP_REG, 0x0000, 0x0080);                               
;----------------------------------------------------------------------
        MOV #128, AR0 ; |580| 
        MOV #32, T0 ; |580| 

        call #_aic27_write_reg ; |580| 
||      MOV #0, T1 ; |580| 

                                        ; call occurs [#_aic27_write_reg]	; |580| 
	.line	17
;----------------------------------------------------------------------
; 582 | aic27_cont_capture(toneBuf[0],toneBuf[1],BUF_SIZE,0, &bufStatus1);     
;----------------------------------------------------------------------
        MOV XSP, XAR2                   ; |582| 
        AMOV #_toneBuf, XAR0 ; |582| 
        MOV #1024, T0 ; |582| 
        AMOV #(_toneBuf+1024), XAR1 ; |582| 
        ADD #0, AR2, AR2

        call #_aic27_cont_capture ; |582| 
||      MOV #0, AC0 ; |582| 

                                        ; call occurs [#_aic27_cont_capture]	; |582| 
	.line	19
;----------------------------------------------------------------------
; 584 | while (*bufStatus1);                                                   
;----------------------------------------------------------------------
        MOV dbl(*SP(#0)), XAR3
        MOV *AR3, AR1 ; |584| 
        BCC L46,AR1 == #0 ; |584| 
                                        ; branch occurs	; |584| 
L45:    
        MOV dbl(*SP(#0)), XAR3
        MOV *AR3, AR1 ; |584| 
        BCC L45,AR1 != #0 ; |584| 
                                        ; branch occurs	; |584| 
L46:    
	.line	21
;----------------------------------------------------------------------
; 586 | aic27_cont_play(toneBuf[0],toneBuf[1],BUF_SIZE,0,&bufStatus2);         
; 588 | // Delay for loopback                                                  
;----------------------------------------------------------------------
        MOV XSP, XAR2                   ; |586| 
        AMOV #(_toneBuf+1024), XAR1 ; |586| 
        AMOV #_toneBuf, XAR0 ; |586| 
        MOV #1024, T0 ; |586| 
        ADD #2, AR2, AR2

        call #_aic27_cont_play ; |586| 
||      MOV #0, AC0 ; |586| 

                                        ; call occurs [#_aic27_cont_play]	; |586| 
	.line	24
;----------------------------------------------------------------------
; 589 | for (count=0; count<10; count++)                                       
;----------------------------------------------------------------------
        MOV #0, *SP(#4) ; |589| 

        MOV *SP(#4), AR2 ; |589| 
||      MOV #10, AR1 ; |589| 

        CMP AR2 >= AR1, TC1 ; |589| 
||      nop       ; 	avoids Silicon Exception CPU_24

        BCC L48,TC1 ; |589| 
                                        ; branch occurs	; |589| 
L47:    
	.line	26
;----------------------------------------------------------------------
; 591 | brd_busy_delay(100);                                                   
;----------------------------------------------------------------------
        MOV #100, T0 ; |591| 
        call #_brd_busy_delay ; |591| 
                                        ; call occurs [#_brd_busy_delay]	; |591| 
	.line	27
        ADD #1, *SP(#4) ; |592| 

        MOV *SP(#4), AR1 ; |592| 
||      MOV #10, AR2 ; |592| 

        CMP AR1 < AR2, TC1 ; |592| 
||      nop       ; 	avoids Silicon Exception CPU_24

        BCC L47,TC1 ; |592| 
                                        ; branch occurs	; |592| 
L48:    
	.line	28
        AADD #5, SP
        return
                                        ; return occurs
	.endfunc	593,000000000h,5


	.sect	".text"
	.global	_clockTest
	.sym	_clockTest,_clockTest, 36, 2, 0
	.func	604
;----------------------------------------------------------------------
; 604 | s16 clockTest()                                                        
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _clockTest                                                  *
;*                                                                            *
;*   Function Uses Regs : AC0,T0,AR1,AR3,CARRY,M40,SATA,SATD,FRCT,SMUL        *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 8 words                                             *
;*                        (2 return address/alignment)                        *
;*                        (6 local values)                                    *
;******************************************************************************
_clockTest:
	.line	2
	.sym	_time_ms,0, 14, 1, 16
	.sym	_tddr,1, 14, 1, 16
	.sym	_cpuFreq,2, 14, 1, 16
	.sym	_prd,3, 14, 1, 16
	.sym	_ctrl1,4, 14, 1, 16
	.sym	_ctrl2,5, 14, 1, 16
        AADD #-7, SP
	.line	3
;----------------------------------------------------------------------
; 606 | u16 time_ms = 100;                                                     
; 607 | u16 tddr;                                                              
; 608 | u16 cpuFreq;                                                           
; 609 | volatile u16 prd;                                                      
; 610 | volatile u16 ctrl;                                                     
; 611 | volatile u16 ctrl1, ctrl2;                                             
;----------------------------------------------------------------------
        MOV #100, *SP(#0) ; |606| 
	.line	10
;----------------------------------------------------------------------
; 613 | brd_led_enable(BRD_LED0);                                              
;----------------------------------------------------------------------

        call #_brd_led_enable ; |613| 
||      MOV #0, T0 ; |613| 

                                        ; call occurs [#_brd_led_enable]	; |613| 
	.line	11
;----------------------------------------------------------------------
; 614 | brd_led_disable(BRD_LED1);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |614| 
||      MOV #1, T0 ; |614| 

                                        ; call occurs [#_brd_led_disable]	; |614| 
	.line	12
;----------------------------------------------------------------------
; 615 | brd_led_disable(BRD_LED2);                                             
;----------------------------------------------------------------------

        call #_brd_led_disable ; |615| 
||      MOV #2, T0 ; |615| 

                                        ; call occurs [#_brd_led_disable]	; |615| 
	.line	14
;----------------------------------------------------------------------
; 617 | brd_busy_delay(400);                                                   
;----------------------------------------------------------------------
        MOV #400, T0 ; |617| 
        call #_brd_busy_delay ; |617| 
                                        ; call occurs [#_brd_busy_delay]	; |617| 
	.line	16
;----------------------------------------------------------------------
; 619 | testDone = False;                                                      
;----------------------------------------------------------------------
        MOV #0, *(#_testDone) ; |619| 
	.line	18
;----------------------------------------------------------------------
; 621 | setup_serial_port();                                                   
;----------------------------------------------------------------------
        call #_setup_serial_port ; |621| 
                                        ; call occurs [#_setup_serial_port]	; |621| 
	.line	20
;----------------------------------------------------------------------
; 623 | TIMER_HALT(TIMER_PORT1); //stop timer                                  
;----------------------------------------------------------------------
        MOV #9218, AR3 ; |623| 
        MOV port(*AR3), AR1
        BSET @#4, AR1 ; |623| 
        MOV AR1, port(*AR3) ; |623| 
	.line	22
;----------------------------------------------------------------------
; 625 | INTR_GLOBAL_DISABLE;                                                   
; 627 | // Disable interrupts                                                  
;----------------------------------------------------------------------
	BSET #st1_intm, st1_55
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	.line	25
;----------------------------------------------------------------------
; 628 | IER0 &= ~(1<<RINT2);                                                   
;----------------------------------------------------------------------
        AMOV #0, XAR3 ; |628| 
        AND #0xefff, *AR3 ; |628| 
	.line	26
;----------------------------------------------------------------------
; 629 | IER1 &= ~(1<<TINT1);                                                   
; 631 | // Clear pending interrupt flags (Note: Write 1 to clear)              
;----------------------------------------------------------------------
        AMOV #69, XAR3 ; |629| 
        AND #0xffbf, *AR3 ; |629| 
	.line	29
;----------------------------------------------------------------------
; 632 | IFR0 |= (1<<RINT2);                                                    
;----------------------------------------------------------------------
        AMOV #1, XAR3 ; |632| 
        OR #0x1000, *AR3 ; |632| 
	.line	30
;----------------------------------------------------------------------
; 633 | IFR1 |= (1<<TINT1);                                                    
; 635 |     //setup interrupts                                                 
;----------------------------------------------------------------------
        AMOV #70, XAR3 ; |633| 
        OR #0x0040, *AR3 ; |633| 
	.line	33
;----------------------------------------------------------------------
; 636 | hook_interrupt(RINT2_TRAP, _serialPort2Isr);                           
;----------------------------------------------------------------------
        MOV #(__serialPort2Isr >> 16) << #16, AC0 ; |636| 
        OR #(__serialPort2Isr & 0xffff), AC0, AC0 ; |636| 

        call #_hook_interrupt ; |636| 
||      MOV #12, T0 ; |636| 

                                        ; call occurs [#_hook_interrupt]	; |636| 
	.line	34
;----------------------------------------------------------------------
; 637 | IER0 |= (1<<RINT2);                                                    
;----------------------------------------------------------------------
        AMOV #0, XAR3 ; |637| 
        OR #0x1000, *AR3 ; |637| 
	.line	36
;----------------------------------------------------------------------
; 639 | hook_interrupt(TINT1_TRAP, _timerIsr);                                 
;----------------------------------------------------------------------
        MOV #22, T0 ; |639| 
        MOV #(__timerIsr >> 16) << #16, AC0 ; |639| 
        OR #(__timerIsr & 0xffff), AC0, AC0 ; |639| 
        call #_hook_interrupt ; |639| 
                                        ; call occurs [#_hook_interrupt]	; |639| 
	.line	37
;----------------------------------------------------------------------
; 640 | IER1 |= (1<<TINT1);                                                    
; 642 | //clear codec count                                                    
;----------------------------------------------------------------------
        AMOV #69, XAR3 ; |640| 
        OR #0x0040, *AR3 ; |640| 
	.line	40
;----------------------------------------------------------------------
; 643 | codec_count = 0;                                                       
; 645 | // default clock status to error                                       
;----------------------------------------------------------------------
        MOV #0, AC0 ; |643| 
        MOV AC0, dbl(*(#_codec_count)) ; |643| 
	.line	43
;----------------------------------------------------------------------
; 646 | clockStatus = -1;                                                      
; 648 | //expected count in 100 ms                                             
; 649 |     //expected_count = ( 48000 * time_ms ) / 1000;                     
;----------------------------------------------------------------------
        MOV #-1, *(#_clockStatus) ; |646| 
	.line	47
;----------------------------------------------------------------------
; 650 | expected_count = ( 48 * time_ms );                                     
; 652 | //set timer interrupt rate to 10000 per sec (every 100 us)             
; 653 | //prd = ((f32)cpuFreq * 1000000) / ( (tddr+1) * 10000 ) - 1;           
;----------------------------------------------------------------------
        MPYMK *SP(#0), #48, AC0 ; |650| 
        AND #0xffff, AC0, AC0 ; |650| 
        MOV AC0, dbl(*(#_expected_count)) ; |650| 
	.line	51
;----------------------------------------------------------------------
; 654 | cpuFreq = brd_get_cpu_freq();                                          
; 656 | //initialize timer values                                              
;----------------------------------------------------------------------
        call #_brd_get_cpu_freq ; |654| 
                                        ; call occurs [#_brd_get_cpu_freq]	; |654| 
        MOV T0, *SP(#2) ; |654| 
	.line	54
;----------------------------------------------------------------------
; 657 | tddr = 3;                                                              
;----------------------------------------------------------------------
        MOV #3, *SP(#1) ; |657| 
	.line	55
;----------------------------------------------------------------------
; 658 | prd = ((cpuFreq * 100) >> 2) - 1;                                      
;----------------------------------------------------------------------
        MPYMK *SP(#2), #100, AC0 ; |658| 
        BFXTR #0xfffc, AC0, AR1 ; |658| 
        SUB #1, AR1
        MOV AR1, *SP(#3) ; |658| 
	.line	56
;----------------------------------------------------------------------
; 659 | ctrl1 = 0x0F30;                                                        
;----------------------------------------------------------------------
        MOV #3888, *SP(#4) ; |659| 
	.line	57
;----------------------------------------------------------------------
; 660 | ctrl2 = 0x0B20;                                                        
; 662 | // 10 timer interrupts at 10000 Hz per millisecond                     
;----------------------------------------------------------------------
        MOV #2848, *SP(#5) ; |660| 
	.line	60
;----------------------------------------------------------------------
; 663 | timer_count = time_ms * 10;                                            
; 665 | // initialize timer registers                                          
;----------------------------------------------------------------------
        MPYMK *SP(#0), #10, AC0 ; |663| 
        AND #0xffff, AC0, AC0 ; |663| 
        MOV AC0, dbl(*(#_timer_count)) ; |663| 
	.line	63
;----------------------------------------------------------------------
; 666 | TCR(1)  = ctrl1;                                                       
;----------------------------------------------------------------------
        MOV #9218, AR3 ; |666| 
        MOV *SP(#4), AR1
        MOV AR1, port(*AR3) ; |666| 
	.line	64
;----------------------------------------------------------------------
; 667 | PRSC(1) = tddr;                                                        
;----------------------------------------------------------------------
        MOV #9219, AR3 ; |667| 
        MOV *SP(#1), AR1
        MOV AR1, port(*AR3) ; |667| 
	.line	65
;----------------------------------------------------------------------
; 668 | PRD(1)  = prd;                                                         
;----------------------------------------------------------------------
        MOV #9217, AR3 ; |668| 
        MOV *SP(#3), AR1
        MOV AR1, port(*AR3) ; |668| 
	.line	66
;----------------------------------------------------------------------
; 669 | TCR(1)  = ctrl2;                                                       
;----------------------------------------------------------------------
        MOV #9218, AR3 ; |669| 
        MOV *SP(#5), AR1
        MOV AR1, port(*AR3) ; |669| 
	.line	68
;----------------------------------------------------------------------
; 671 | MCBSP_ENABLE(AIC_MCBSP,MCBSP_RX);                                      
;----------------------------------------------------------------------
        MOV #12293, AR3 ; |671| 
        MOV #1, AR1 ; |671| 
        OR port(*AR3), AR1, AR1 ; |671| 
        MOV AR1, port(*AR3) ; |671| 
        MOV #12292, AR3 ; |671| 
        MOV port(*AR3), AR1
        MOV AR1, port(*AR3) ; |671| 
	.line	70
;----------------------------------------------------------------------
; 673 | INTR_GLOBAL_ENABLE;                                                    
; 675 | // If test was not done, fail                                          
;----------------------------------------------------------------------
	BCLR #st1_intm, st1_55
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	.line	73
;----------------------------------------------------------------------
; 676 | while (testDone == False) {};                                          
; 678 | // Stop timer and serial port                                          
;----------------------------------------------------------------------
        MOV *(#_testDone), AR1 ; |676| 
        BCC L50,AR1 != #0 ; |676| 
                                        ; branch occurs	; |676| 
L49:    
        MOV *(#_testDone), AR1 ; |676| 
        BCC L49,AR1 == #0 ; |676| 
                                        ; branch occurs	; |676| 
L50:    
	.line	76
;----------------------------------------------------------------------
; 679 | TIMER_HALT(TIMER_PORT1);                                               
;----------------------------------------------------------------------
        MOV #9218, AR3 ; |679| 
        MOV port(*AR3), AR1
        BSET @#4, AR1 ; |679| 
        MOV AR1, port(*AR3) ; |679| 
	.line	77
;----------------------------------------------------------------------
; 680 | MCBSP_RX_RESET(AIC_MCBSP);                                             
; 682 | // Disable interrupts                                                  
;----------------------------------------------------------------------
        MOV #12293, AR3 ; |680| 
        MOV port(*AR3), AR1
        AND #0xfffe, AR1, AR1 ; |680| 
        MOV AR1, port(*AR3) ; |680| 
	.line	80
;----------------------------------------------------------------------
; 683 | IER0 &= ~(1<<RINT2);                                                   
;----------------------------------------------------------------------
        AMOV #0, XAR3 ; |683| 
        AND #0xefff, *AR3 ; |683| 
	.line	81
;----------------------------------------------------------------------
; 684 | IER1 &= ~(1<<TINT1);                                                   
;----------------------------------------------------------------------
        AMOV #69, XAR3 ; |684| 
        AND #0xffbf, *AR3 ; |684| 
	.line	83
;----------------------------------------------------------------------
; 686 | return clockStatus;                                                    
;----------------------------------------------------------------------
        MOV *(#_clockStatus), T0 ; |686| 
	.line	84
        AADD #7, SP ; |686| 
        return    ; |686| 
                                        ; return occurs	; |686| 
	.endfunc	687,000000000h,7


	.sect	".text"
	.global	__timerIsr
	.sym	__timerIsr,__timerIsr, 32, 2, 0
	.func	695
;----------------------------------------------------------------------
; 695 | interrupt void _timerIsr(void)                                         
;----------------------------------------------------------------------
;******************************************************************************
;* INTERRUPT NAME: __timerIsr                                                 *
;*                                                                            *
;*   Function Uses Regs : AC0,AC1,AR1,CARRY,TC1,M40,SATD                      *
;*   Save On Entry Regs : AC0,AC0_H,AC0_G,AC1,AC1_H,AC1_G,AR1,ST3             *
;******************************************************************************
__timerIsr:
	.line	2
;----------------------------------------------------------------------
; 697 | s32 count_diff;                                                        
;----------------------------------------------------------------------
	.sym	_count_diff,0, 5, 1, 32
        PSH dbl(AC0)
        PSH mmap(AC0G)
        PSH dbl(AC1)
        PSH mmap(AC1G)
        PSHBOTH XAR1
        PSH mmap(ST3_55)
        MOV SP, AR1
        AND #0xfffe, mmap(SP)
        PSH AR1
        AND #0xfa00, mmap(ST2_55)
        AND #0xf91f, mmap(ST1_55)
        OR #0x8000, mmap(ST2_55)
        AND #0xffdd, mmap(ST3_55)
        AADD #-3, SP
        OR #0x4100, mmap(ST1_55)
	.line	5
;----------------------------------------------------------------------
; 699 | if (testDone == False)                                                 
;----------------------------------------------------------------------
        MOV *(#_testDone), AR1 ; |699| 
        BCC L52,AR1 != #0 ; |699| 
                                        ; branch occurs	; |699| 
	.line	7
;----------------------------------------------------------------------
; 701 | if (--timer_count == 0)                                                
; 703 |    //NOTE: 240 is +/- 5% assuming 100 ms period                        
;----------------------------------------------------------------------
        MOV #1, AC0 ; |701| 
        SUB AC0, dbl(*(#_timer_count)), AC0 ; |701| 
        MOV AC0, dbl(*(#_timer_count)) ; |701| 
        BCC L52,AC0 != #0 ; |701| 
                                        ; branch occurs	; |701| 
	.line	10
;----------------------------------------------------------------------
; 704 | count_diff = codec_count - expected_count;                             
; 706 | //Check if within range                                                
;----------------------------------------------------------------------
        MOV dbl(*(#_expected_count)), AC0 ; |704| 
        SUB AC0, dbl(*(#_codec_count)), AC0 ; |704| 
        MOV AC0, dbl(*SP(#0)) ; |704| 
	.line	13
;----------------------------------------------------------------------
; 707 | if ((count_diff > -240) && (count_diff <= 240))                        
;----------------------------------------------------------------------
        MOV dbl(*SP(#0)), AC1 ; |707| 
        MOV #-240, AC0 ; |707| 
        CMP AC1 <= AC0, TC1 ; |707| 
        BCC L51,TC1 ; |707| 
                                        ; branch occurs	; |707| 
        MOV #240, AC1 ; |707| 
        MOV dbl(*SP(#0)), AC0 ; |707| 
        CMP AC0 > AC1, TC1 ; |707| 
	.line	15
;----------------------------------------------------------------------
; 709 | clockStatus = 0;                                                       
; 712 | // Set done flag                                                       
;----------------------------------------------------------------------
        XCC !TC1
            MOV #0, *(#_clockStatus) ; |709| 
L51:    
	.line	19
;----------------------------------------------------------------------
; 713 | testDone = True;                                                       
;----------------------------------------------------------------------
        MOV #1, *(#_testDone) ; |713| 
	.line	21
L52:    
	.line	22
        AADD #3, SP
        POP mmap(SP)
        POP mmap(ST3_55)
        POPBOTH XAR1
        POP mmap(AC1G)
        POP dbl(AC1)
        POP mmap(AC0G)
        POP dbl(AC0)
        RETI
                                        ; return occurs
	.endfunc	716,000000001h,9


	.sect	".text"
	.global	__serialPort2Isr
	.sym	__serialPort2Isr,__serialPort2Isr, 32, 2, 0
	.func	724
;----------------------------------------------------------------------
; 724 | interrupt void _serialPort2Isr(void)                                   
;----------------------------------------------------------------------
;******************************************************************************
;* INTERRUPT NAME: __serialPort2Isr                                           *
;*                                                                            *
;*   Function Uses Regs : AC0,AR1,AR3,CARRY,SATD                              *
;*   Save On Entry Regs : AC0,AC0_H,AC0_G,AR1,AR3,ST3                         *
;******************************************************************************
__serialPort2Isr:
	.line	2
;----------------------------------------------------------------------
; 726 | volatile u16 dummy;                                                    
; 728 | //increment codec count (48 kHz)                                       
;----------------------------------------------------------------------
	.sym	_dummy,0, 14, 1, 16
        PSH dbl(AC0)
        PSH mmap(AC0G)
        PSHBOTH XAR1
        PSHBOTH XAR3
        PSH mmap(ST3_55)
        MOV SP, AR1
        AND #0xfffe, mmap(SP)
        PSH AR1
        AND #0xfa00, mmap(ST2_55)
        AND #0xf91f, mmap(ST1_55)
        AND #0xffdd, mmap(ST3_55)
        OR #0x8000, mmap(ST2_55)
        AADD #-1, SP
        OR #0x4100, mmap(ST1_55)
	.line	6
;----------------------------------------------------------------------
; 729 | codec_count++;                                                         
; 731 | //read data from serial port                                           
;----------------------------------------------------------------------
        MOV dbl(*(#_codec_count)), AC0 ; |729| 
        ADD #1, AC0 ; |729| 
        MOV AC0, dbl(*(#_codec_count)) ; |729| 
	.line	9
;----------------------------------------------------------------------
; 732 | dummy = DRR2(2);                                                       
;----------------------------------------------------------------------
        MOV #12288, AR3 ; |732| 
        MOV port(*AR3), AR1
        MOV AR1, *SP(#0) ; |732| 
	.line	10
;----------------------------------------------------------------------
; 733 | dummy = DRR1(2);                                                       
;----------------------------------------------------------------------
        MOV #12289, AR3 ; |733| 
        MOV port(*AR3), AR1
        MOV AR1, *SP(#0) ; |733| 
	.line	11
        AADD #1, SP
        POP mmap(SP)
        POP mmap(ST3_55)
        POPBOTH XAR3
        POPBOTH XAR1
        POP mmap(AC0G)
        POP dbl(AC0)
        RETI
                                        ; return occurs
	.endfunc	734,000000001h,6


	.sect	".text"
	.global	_setup_serial_port
	.sym	_setup_serial_port,_setup_serial_port, 32, 2, 0
	.func	741
;----------------------------------------------------------------------
; 741 | void setup_serial_port()                                               
;----------------------------------------------------------------------
;******************************************************************************
;* FUNCTION NAME: _setup_serial_port                                          *
;*                                                                            *
;*   Function Uses Regs : AR0,AR1,AR3,SP,CARRY,M40,SATA,SATD,FRCT,SMUL        *
;*   Stack Frame        : Compact (No Frame Pointer, w/ debug)                *
;*   Total Frame Size   : 30 words                                            *
;*                        (2 return address/alignment)                        *
;*                        (28 local values)                                   *
;******************************************************************************
_setup_serial_port:
	.line	2
;----------------------------------------------------------------------
; 743 | McBspConfig bsp;                                                       
;----------------------------------------------------------------------
	.sym	_bsp,0, 8, 1, 448, __McBspConfig
        AADD #-29, SP
	.line	5
;----------------------------------------------------------------------
; 745 | MCBSP_TX_RESET(AIC_MCBSP);                                             
;----------------------------------------------------------------------
        MOV #12292, AR3 ; |745| 
        MOV port(*AR3), AR1
        AND #0xfffe, AR1, AR1 ; |745| 
        MOV AR1, port(*AR3) ; |745| 
	.line	6
;----------------------------------------------------------------------
; 746 | MCBSP_RX_RESET(AIC_MCBSP);                                             
;----------------------------------------------------------------------
        MOV #12293, AR3 ; |746| 
        MOV port(*AR3), AR1
        AND #0xfffe, AR1, AR1 ; |746| 
        MOV AR1, port(*AR3) ; |746| 
	.line	8
;----------------------------------------------------------------------
; 748 | bsp.port   = AIC_MCBSP;                                                
;----------------------------------------------------------------------
        MOV #2, *SP(#0) ; |748| 
	.line	10
;----------------------------------------------------------------------
; 750 | bsp.spcr1  = SPCR1_VAL;                                                
;----------------------------------------------------------------------
        MOV #0, *SP(#1) ; |750| 
	.line	11
;----------------------------------------------------------------------
; 751 | bsp.spcr2  = SPCR2_VAL;                                                
;----------------------------------------------------------------------
        MOV #0, *SP(#2) ; |751| 
	.line	12
;----------------------------------------------------------------------
; 752 | bsp.rcr1   = RCR1_VAL;                                                 
;----------------------------------------------------------------------
        MOV #64, *SP(#3) ; |752| 
	.line	13
;----------------------------------------------------------------------
; 753 | bsp.rcr2   = RCR2_VAL;                                                 
;----------------------------------------------------------------------
        MOV #1, *SP(#4) ; |753| 
	.line	14
;----------------------------------------------------------------------
; 754 | bsp.xcr1   = XCR1_VAL;                                                 
;----------------------------------------------------------------------
        MOV #64, *SP(#5) ; |754| 
	.line	15
;----------------------------------------------------------------------
; 755 | bsp.xcr2   = XCR2_VAL;                                                 
;----------------------------------------------------------------------
        MOV #1, *SP(#6) ; |755| 
	.line	17
;----------------------------------------------------------------------
; 757 | bsp.srgr1  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#7) ; |757| 
	.line	18
;----------------------------------------------------------------------
; 758 | bsp.srgr2  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#8) ; |758| 
	.line	20
;----------------------------------------------------------------------
; 760 | bsp.mcr1   = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#9) ; |760| 
	.line	21
;----------------------------------------------------------------------
; 761 | bsp.mcr2   = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#10) ; |761| 
	.line	23
;----------------------------------------------------------------------
; 763 | bsp.pcr    = PCR_VAL;                                                  
;----------------------------------------------------------------------
        MOV #0, *SP(#11) ; |763| 
	.line	25
;----------------------------------------------------------------------
; 765 | bsp.rcera  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#12) ; |765| 
	.line	26
;----------------------------------------------------------------------
; 766 | bsp.xcera  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#13) ; |766| 
	.line	27
;----------------------------------------------------------------------
; 767 | bsp.rcerb  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#14) ; |767| 
	.line	28
;----------------------------------------------------------------------
; 768 | bsp.xcerb  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#15) ; |768| 
	.line	29
;----------------------------------------------------------------------
; 769 | bsp.rcerc  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#16) ; |769| 
	.line	30
;----------------------------------------------------------------------
; 770 | bsp.xcerc  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#17) ; |770| 
	.line	31
;----------------------------------------------------------------------
; 771 | bsp.rcerd  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#18) ; |771| 
	.line	32
;----------------------------------------------------------------------
; 772 | bsp.xcerd  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#19) ; |772| 
	.line	33
;----------------------------------------------------------------------
; 773 | bsp.rcere  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#20) ; |773| 
	.line	34
;----------------------------------------------------------------------
; 774 | bsp.xcere  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#21) ; |774| 
	.line	35
;----------------------------------------------------------------------
; 775 | bsp.rcerf  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#22) ; |775| 
	.line	36
;----------------------------------------------------------------------
; 776 | bsp.xcerf  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#23) ; |776| 
	.line	37
;----------------------------------------------------------------------
; 777 | bsp.rcerg  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#24) ; |777| 
	.line	38
;----------------------------------------------------------------------
; 778 | bsp.xcerg  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#25) ; |778| 
	.line	39
;----------------------------------------------------------------------
; 779 | bsp.rcerh  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#26) ; |779| 
	.line	40
;----------------------------------------------------------------------
; 780 | bsp.xcerh  = 0;                                                        
;----------------------------------------------------------------------
        MOV #0, *SP(#27) ; |780| 
	.line	45
;----------------------------------------------------------------------
; 785 | mcbsp_init(&bsp);                                                      
;----------------------------------------------------------------------
        MOV XSP, XAR0                   ; |785| 
        ADD #0, AR0, AR0
        call #_mcbsp_init ; |785| 
                                        ; call occurs [#_mcbsp_init]	; |785| 
	.line	46
        AADD #29, SP
        return
                                        ; return occurs
	.endfunc	786,000000000h,29


;*******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                               *
;*******************************************************************************
	.global	_brd_init
	.global	_brd_led_enable
	.global	_brd_led_disable
	.global	_brd_led_toggle
	.global	_brd_busy_delay
	.global	_brd_get_cpu_freq
	.global	_mcbsp_init
	.global	_hook_interrupt
	.global	_aic27_open
	.global	_aic27_close
	.global	_aic27_read_reg
	.global	_aic27_write_reg
	.global	_aic27_sample_rate
	.global	_aic27_stop_play
	.global	_aic27_cont_play
	.global	_aic27_cont_capture
	.global	_sig_init
	.global	_sig

;*******************************************************************************
;* TYPE INFORMATION                                                            *
;*******************************************************************************
	.sym	_s16, 0, 4, 13, 16
	.sym	_s16, 0, 4, 13, 16
	.sym	_u16, 0, 14, 13, 16
	.sym	_u16, 0, 14, 13, 16
	.sym	_s32, 0, 5, 13, 32
	.sym	_datum, 0, 15, 13, 32
	.sym	_datum, 0, 15, 13, 32
	.sym	_u32, 0, 15, 13, 32
	.sym	_Fp, 0, 144, 13, 32
	.sym	_Ip, 0, 144, 13, 32
	.etag	$$fake0, 16
	.member	_BRD_LED0, 0, 4, 16, 16
	.member	_BRD_LED1, 1, 4, 16, 16
	.member	_BRD_LED2, 2, 4, 16, 16
	.eos
	.sym	_BrdLed, 0, 10, 13, 16,$$fake0
	.etag	$$fake1, 16
	.member	_RESET, 0, 4, 16, 16
	.member	_MASTER_VOL, 2, 4, 16, 16
	.member	_LNLVL_VOL, 4, 4, 16, 16
	.member	_MASTER_MONO_VOL, 6, 4, 16, 16
	.member	_PCBEEP_VOL, 10, 4, 16, 16
	.member	_PHONE_VOL, 12, 4, 16, 16
	.member	_MIC_VOL, 14, 4, 16, 16
	.member	_LINEIN_VOL, 16, 4, 16, 16
	.member	_CD_VOL, 18, 4, 16, 16
	.member	_VIDE0_VOL, 20, 4, 16, 16
	.member	_AUX_VOL, 22, 4, 16, 16
	.member	_PCMOUT_VOL, 24, 4, 16, 16
	.member	_REC_SEL, 26, 4, 16, 16
	.member	_REC_GAIN, 28, 4, 16, 16
	.member	_GP_REG, 32, 4, 16, 16
	.member	_CTRL_3D, 34, 4, 16, 16
	.member	_PWRDN_CSR, 38, 4, 16, 16
	.member	_EXTD_AUDIO_ID, 40, 4, 16, 16
	.member	_EXTD_AUDIO_STATCTRL, 42, 4, 16, 16
	.member	_FRONT_DAC_SRATE, 44, 4, 16, 16
	.member	_REAR_DAC_SRATE, 46, 4, 16, 16
	.member	_LFE_DAC_SRATE, 48, 4, 16, 16
	.member	_AUDIO_ADC_RRATE, 50, 4, 16, 16
	.member	_SIXCH_VOL_CNTR_LFE, 54, 4, 16, 16
	.member	_SIXCH_VOL_LR_SURR, 56, 4, 16, 16
	.member	_EXTD_MODEM_ID, 60, 4, 16, 16
	.member	_EXTD_MODEM_STAT, 62, 4, 16, 16
	.member	_LINE1_SRATE, 64, 4, 16, 16
	.member	_LINE2_SRATE, 66, 4, 16, 16
	.member	_LINE1_DAC_ADC_LVL, 70, 4, 16, 16
	.member	_LINE2_DAC_ADC_LVL, 72, 4, 16, 16
	.member	_GPIO_PIN_CONFIG, 76, 4, 16, 16
	.member	_GPIO_PIN_TYPE, 78, 4, 16, 16
	.member	_GPIO_PIN_STICKY, 80, 4, 16, 16
	.member	_GPIO_PIN_WKUP, 82, 4, 16, 16
	.member	_GPIO_PIN_STAT, 84, 4, 16, 16
	.member	_MISC_MODEM_STAT_CTRL, 86, 4, 16, 16
	.member	_VENDOR_RSVD1, 90, 4, 16, 16
	.member	_REAR_PCMOUT_VOL, 112, 4, 16, 16
	.member	_FRONT_MIXER_VOL, 114, 4, 16, 16
	.member	_REAR_MIXER_VOL, 116, 4, 16, 16
	.member	_VENDOR_RSVD2, 122, 4, 16, 16
	.member	_VENDOR_ID1, 124, 4, 16, 16
	.member	_VENDOR_ID2, 126, 4, 16, 16
	.eos
	.sym	_AIC27Reg, 0, 10, 13, 16,$$fake1
	.stag	__McBspConfig, 448
	.member	_port, 0, 14, 8, 16
	.member	_spcr1, 16, 14, 8, 16
	.member	_spcr2, 32, 14, 8, 16
	.member	_rcr1, 48, 14, 8, 16
	.member	_rcr2, 64, 14, 8, 16
	.member	_xcr1, 80, 14, 8, 16
	.member	_xcr2, 96, 14, 8, 16
	.member	_srgr1, 112, 14, 8, 16
	.member	_srgr2, 128, 14, 8, 16
	.member	_mcr1, 144, 14, 8, 16
	.member	_mcr2, 160, 14, 8, 16
	.member	_pcr, 176, 14, 8, 16
	.member	_rcera, 192, 14, 8, 16
	.member	_xcera, 208, 14, 8, 16
	.member	_rcerb, 224, 14, 8, 16
	.member	_xcerb, 240, 14, 8, 16
	.member	_rcerc, 256, 14, 8, 16
	.member	_xcerc, 272, 14, 8, 16
	.member	_rcerd, 288, 14, 8, 16
	.member	_xcerd, 304, 14, 8, 16
	.member	_rcere, 320, 14, 8, 16
	.member	_xcere, 336, 14, 8, 16
	.member	_rcerf, 352, 14, 8, 16
	.member	_xcerf, 368, 14, 8, 16
	.member	_rcerg, 384, 14, 8, 16
	.member	_xcerg, 400, 14, 8, 16
	.member	_rcerh, 416, 14, 8, 16
	.member	_xcerh, 432, 14, 8, 16
	.eos
	.sym	_PMcBspConfig, 0, 24, 13, 23,__McBspConfig
	.sym	_McBspConfig, 0, 8, 13, 448,__McBspConfig
	.etag	$$fake2, 16
	.member	_LEFT, 0, 4, 16, 16
	.member	_RIGHT, 1, 4, 16, 16
	.member	_BOTH, 2, 4, 16, 16
	.eos
	.sym	_SigCh, 0, 10, 13, 16,$$fake2
	.etag	$$fake3, 16
	.member	_POST_PASS, 0, 4, 16, 16
	.member	_CLOCK_ERROR, 1, 4, 16, 16
	.member	_MEM_ERROR, 2, 4, 16, 16
	.member	_AIC27_ERROR, 4, 4, 16, 16
	.eos
	.sym	_PostResult, 0, 10, 13, 16,$$fake3
	.etag	$$fake4, 16
	.member	_False, 0, 4, 16, 16
	.member	_True, 1, 4, 16, 16
	.eos
	.sym	_bool, 0, 10, 13, 16,$$fake4
	.sym	_bool, 0, 10, 13, 16,$$fake4
