/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE NAME... EMIF
* FILENAME...... csl_emifdat.h
* DATE CREATED.. Thu 03/30/2000 
* PROJECT....... CSL  - Chip Support Library
* COMPONENT..... CSL service layer
* PREREQUISITS..
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:       03/30/2000
*   LAST MODIFIED: 04/16/2001 modified header comments
*   
*------------------------------------------------------------------------------
* DESCRIPTION:  (service layer interface file for the EMIF module)
*       Reserved Area for EMIF Data 
*
*
\******************************************************************************/
#ifndef _EMIF_DATA_H_
#define _EMIF_DATA_H_

  #include <csl_std.h>

  #define CSL_EMIFDATAINIT\
  { 0x0000u }

  typedef struct {
   Uint16 EmifReserved;
  } CSL_EmifDataObj;

#endif
