/*
 *  Copyright 2002 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */
/* "@(#) DSP/BIOS 4.61.12 05-31-02 (barracuda-j21)" */
/*
 * ======== dtf.h ========
 * compatibility file for .cfg files that use DTF.  DTR now works for both
 * integer and floating point DSPs.
 *
 */

#include <dtr.h>

#ifdef __cplusplus
extern "C" {
#endif

#define DTF	DTR

#define DTF_Params DTR_Params

#define DTF_SCALE	DTR_SCALE
#define DTF_USER	DTR_USER

#ifdef __cplusplus
}
#endif /* extern "C" */

