#!/bin/sh
#
# NavToSniff.sh -- use sniffaccess to navigate into SNiFF Tools.
#
# This file requires that environment variables for sniffaccess are set 
# correctly. However, when called from the Tornado Project Tool it turns
# out that these might not be set! If you have problems launching the
# SNiFF+ Tools from the Tornado Project Tool, please remove the comments
# from the following lines and enter your correct settings.

#SNIFF_DIR=/Users/mober/sniffwind
#export SNIFF_DIR
#PATH=$SNIFF_DIR/bin:$PATH
#export PATH
#PLATFORM=sparc-sun-solaris2.3
#export PLATFORM
#$SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess $1 '*/' $2 >> /Users/mober/t2.err 2>&1
echo "Calling $SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess $1 '*/' $2"
$SNIFF_DIR/bin/bin.$PLATFORM/sniffaccess $1 '*/' $2 > /dev/null 2>&1

