from SyntaxDesc import *
import Register
def Syntax():
	return SyntaxDesc(
		Words(gStyleStructKeyword,
			"if",
			"else",
			"while",
			"do",
			"for",
			"goto",
			"switch",
			"case",
			"default",
			"return",
			"break",
			"continue",
			"namespace",
			"using",
	),
	Words(gStyleKeyword,
			"and",
			"and_eq",
			"asm",
			"auto",
			"bitand",
			"bitor",
			"catch",
			"class",
			"compl",
			"const",
			"const_cast",
			"enum",
			"explicit",
			"export",
			"extern",
			"false",
			"friend",
			"struct",
			"union",
			"typedef",
			"template",
			"new",
			"not",
			"not_eq",
			"operator",
			"or",
			"or_eq",
			"delete",
			"protected",
			"private",
			"public",
			"register",
			"reinterpret_cast",
			"inline",
			"static",
			"sizeof",
			"static_cast",
			"this",
			"throw",
			"true",
			"try",
			"typeid",
			"typename",
			"muteable",
			"extern",
			"virtual",
			"volatile",
			"xor",
			"xor_eq",
	),
	Words(gStyleTypeKeyword,
			"bool",
			"char",
			"int",
			"float",
			"long",
			"short",
			"signed",
			"unsigned",
			"void",
			"wchar_t",
	),
	Words(gStylepSOSKeyword,
			"as_catch",
			"as_return",
			"as_send",
			"co_register",
			"co_unregister",
			"cv_broadcast",
			"cv_asignal",
			"cv_broadcast",
			"cv_create",
			"cv_delete",
			"cv_ident",
			"cv_info",
			"cv_signal",
			"cv_wait",
			"de_close",
			"de_open",
			"de_cntrl",
			"de_read",
			"de_write",
			"de_init",
			"dnt_add",
			"dnt_remove",
			"dnt_find",
			"errno_addr",
			"ev_asend",
			"ev_receive",
			"ev_send",
			"i_enter",
			"i_return",
			"ioj_bind",
			"ioj_bindany",
			"ioj_getent",
			"ioj_lock",
			"ioj_unbind",
			"ioj_unlock",
			"k_fatal",
			"k_terminate",
			"m_ext2int",
			"m_int2ext",
			"mu_create",
			"mu_delete",
			"mu_ident",
			"mu_info",
			"mu_lock",
			"mu_unlock",
			"ob_roster",
	),
	Words(gStylepSOSKeyword,
			"pt_create",
			"pt_delete",
			"pt_getbuf",
			"pt_ident",
			"pt_retbuf",
			"pt_sgetbuf",
			"q_asend",
			"q_aurgent",
			"q_avsend",
			"q_avurgent",
			"q_broadcast",
			"q_create",
			"q_delete",
			"q_ident",
			"q_info",
			"q_receive",
			"q_send",
			"q_urgent",
			"q_vbroadcast",
			"q_vcreate",
			"q_vdelete",
			"q_vident",
			"q_vinfo",
			"q_vnotify",
			"q_vreceive",
			"q_vsend",
			"q_vurgent",
			"rn_create",
			"rn_delete",
			"rn_getseg",
			"rn_ident",
			"rn_info",
			"rn_retseg",
			"sm_av",
			"sm_create",
			"sm_delete",
			"sm_ident",
			"sm_info",
			"sm_notify",
			"sm_p",
			"sm_v",
			"sys_info",
			"t_addvar",
			"t_create",
			"t_delete",
			"t_delvar",
			"t_getreg",
			"t_ident",
			"t_info",
			"t_mode",
			"t_restart",
			"t_resume",
			"t_setpri",
			"t_setreg",
			"t_start",
			"t_suspend",
			"t_tslice",
			"tm_cancel",
			"tm_evafter",
			"tm_evevery",
			"tm_evwhen",
			"tm_get",
			"tm_getticks",
			"tm_set",
			"tm_tick",
			"tm_wkafter",
			"tm_wkwhen",
			"tsd_create",
			"tsd_delete",
			"tsd_getval",
			"tsd_ident",
			"tsd_info",
			"t_setval",
	),
	Words(gStylepROBEKeyword,
			"db_input",
			"db_output",
			"log_event",
	),
	Words(gStylepRPCKeyword,
			"get_fdset",
			"rpc_getcreateerr",
			"clnt_control",
	),
	Words(gStylepREPCKeyword,
			"assert",
			"atexit",
			"atof",
			"atoi",
			"atol",
			"bsearch",
			"calloc",
			"clearerr",
			"control_vol",
			"ctime",
			"ctime_r",
			"difftime",
			"div",
			"exit",
			"fclose",
			"feof",
			"ferror",
			"fflush",
			"fgetc",
			"fgetpos",
			"fgets",
			"fopen",
			"fprintf",
			"fputc",
			"fputs",
			"fread",
			"free",
			"freopen",
			"fscanf",
			"fseek",
			"fsetpos",
			"ftell",
			"fwrite",
			"getc",
			"getchar",
			"gets",
			"gmtime",
			"gmtime_r",
			"isalnum",
			"isalpha",
			"iscntrl",
			"isdigit",
			"isggraph",
			"islower",
			"isprint",
			"ispunct",
			"isspace",
			"isupper",
			"isxdigit",
			"labs",
			"ldiv",
			"localeconv",
			"localtime",
			"localtime_r",
			"longjump",
			"malloc",
			"mblen",
			"mbstowcs",
			"mbtowc",
			"memccpy",
			"memchr",
			"memcmp",
			"memcpy",
			"memmove",
			"memset",
			"mktime",
	),
	Words(gStylepREPCKeyword,
			"perror",
			"printf",
			"putc",
			"putchar",
			"puts",
			"qsort",
			"rand",
			"rand_r",
			"realloc",
			"remove",
			"rename",
			"rewind",
			"scanf",
			"setbuf",
			"setlocales",
			"sprintf",
			"srand",
			"sscanf",
			"strcat",
			"strchr",
			"strcmp",
			"strcoll",
			"strcpy",
			"strcspn",
			"strerror",
			"strftime",
			"strlen",
			"strncat",
			"strncmp",
			"strncpy",
			"strpbrk",
			"strrchr",
			"strspn",
			"strstr",
			"strtod",
			"strtok",
			"strtok_r",
			"strtol",
			"strtoul",
			"strxfrm",
			"time",
			"tmpfile",
			"tmpnam",
			"tolower",
			"toupper",
			"ungetc",
			"vfprintf",
			"vprintf",
			"vsprintf",
			"wcstombs",
			"wctomb",
	),
	Words(gStylepHILEKeyword,
			"access_f",
			"annex_f",
			"cdmount_vol",
			"change_dir",
			"chmod_f",
			"chown_f",
			"close_dir",
			"close_f",
			"create_f",
			"fchmod_f",
			"fchown_f",
			"fstat_f",
			"fstat_vfs",
			"ftruncate_f",
			"get_fn",
			"init_vol",
			"link_f",
			"lock_f",
			"lseek_f",
			"lstat_f",
			"make_dir",
			"mount_vol",
			"move_f",
			"nfsmount_vol",
			"open_dir",
			"open_f",
			"open_fn",
			"pcinit_vol",
			"pcmount_vol",
			"read_dir",
			"read_f",
			"read_link",
			"read_vol",
			"remove_f",
			"stat_f",
			"stat_vfs",
			"symlink_f",
			"sync_vol",
			"truncate_f",
			"unmount_vol",
			"utime_f",
			"verify_vol",
			"faultp",
			"write_f",
			"write_vol",
	),
	Words(gStylepNAKeyword,
			"accept",
			"add_ni",
			"bind",
			"close",
			"connect",
			"get_id",
			"getpeername",
			"getsockname",
			"getsockopt",
			"ioctl",
			"listen",
			"pna_allocb",
			"pna_esballoc",
			"pna_freeb",
			"pan_freemsg",
			"recv",
			"recvfrom",
			"recvmsg",
			"select",
			"send",
			"sendmsg",
			"sendto",
			"set_id",
			"setsockopt",
			"shr_socket",
			"shutdown",
			"socket",
	),
	Words(gStylepLMKeyword,
			"sl_aquire",
			"sl_bindindex",
			"sl_getattr",
			"sl_getindex",
			"sl_getsymaddr",
			"sl_register",
			"sl_release",
			"sl_setattr",
			"sl_unregister",
			"sl_update",
	),
	Regex(gStyleString,
		'\(\'\\\\?.\'\|"\([^\\"\n]\|\\\\.\|\\\\\n\)*"\)'
	),
	Regex(CharStyle(eFaceBold),'#[\t ]*\([a-z]+\)',1),
	Regex(gStyleString,'#[\t ]*include[\t ]+<\([^>]+\)\>',1),
	IfCommentHighlight(Regex(gStyleComment,'//.*')),
	IfCommentHighlight(MatchPair(gStyleComment,'/*','*/')),
)

Register.RegisterSyntax(Syntax,"Implementation","Header")
