
echo Building the pSOSystem system library...
cd "`'VarDosToUnix' PSS_ROOT`/sys/os"
`VarDosToUnix PSS_ROOT`/bin/win32/psosmake -u > make.log 2>&1

# only PPC installation supports more than the above!
if [ $CPU_FAMILY = "ppc" ]
then
  echo Building the pSOSystem C++ system library...
  if [ "`'VarDosToUnix' PSS_ROOT`/sys/libc/src/sysclass/makefile" ]
  then
    cd "`'VarDosToUnix' PSS_ROOT`/sys/libc/src/sysclass"
    echo Running `VarDosToUnix PSS_ROOT`/bin/win32/psosmake -u > `VarDosToUnix PSS_ROOT`/sys/libc/src/sysclass/make.log 2>&1
    `VarDosToUnix PSS_ROOT`/bin/win32/psosmake -u >> `VarDosToUnix PSS_ROOT`/sys/libc/src/sysclass/make.log 2>&1
  fi

  for arg in `VarDosToUnix PSS_ROOT`/bsps/*/src/makefile
  do
    cd `dirname $arg`
    echo Building BSP library for `dirname $arg`...
    `VarDosToUnix PSS_ROOT`/bin/win32/psosmake -u                    > make.log 2>&1
  done
fi

echo "********************** Attention ****************"           >> make.log 2>&1
echo ""                                                            >> make.log 2>&1
echo "If you are using SNiFF+ as your Project Manager,"            >> make.log 2>&1
echo "you need to update the SNiFF+ project descriptons"          >> make.log 2>&1
echo "for the newly installed components."                         >> make.log 2>&1
echo ""                                                            >> make.log 2>&1
echo "To achieve this, call the sniffproj_rebuild.ksh script"      >> make.log 2>&1
echo "from within the Korn Shell: \"sniffproj_rebuild\""  >> make.log 2>&1
echo "********************** Attention ****************"           >> make.log 2>&1
cat make.log
